
gMissionOptions = {}
gMissionOptions.Version = "1.0.0 ( April 2023 )"
gMissionOptions.level = "group"  --, group country  , mission -- for instructions , distance , checking etc when judged will be at this level
gMissionOptions.pylons = {}
gMissionOptions.holdRange = 4921.26*FEET_TO_METERS-- 3280*HOW FAR AWAY HUMAS MUST BE TO TRIGGER HOLDING
gMissionOptions.holdGround = 4000
gMissionOptions.topSpeed = 450 -- WILL BE ADJUSTED IF PLAYERS AIRCRAFT CANNOT REACH THAT SPEED
gMissionOptions.TopSpeedPercent =.75 -- AIRCRAFT 
gMissionOptions.TopSpeedPercentProp =.80 -- AIRCRAFT WITH PROPS PERCENT OF TOPSPEED INCLUDES HELICOPTERS
gMissionOptions.topHoldingSpeed = 300 -- FASTED SPPED AIRCRAFT WILL HOLD AT
gMissionOptions.holdingSpeed = .80 -- PERCENT TO CALCULATE ACTUAL HOLDING SPEED AT
gMissionOptions.holdingDelay = 8 -- when aircraft in groups hold how soon do they initate the hold
gMissionOptions.spacingDelay = 20
gMissionOptions.transitionAlt = 3382
gMissionOptions.transitionAltRotary = 500
gMissionOptions.raceTrackDistance = 9000
gMissionOptions.friendlySortieGroupCount = 1
gMissionOptions.friendlySortieUnitCount = 1
gMissionOptions.evadePercent = 0 -- A LIFE/LIFE0 VALUE HIGHER THAN THIS ALLOWS EVADE
gMissionOptions.alertTime = 60 -- 6 12 36 48 60 -- this value times 5 USE THIS TO CALUCATE HOW LONG AFTER ALERTED TO ENABLE EVADE DEPENDING ON DIFFICULTY


gMissionOptions.speedUpSeconds = 30
gMissionOptions.startDelay = 5 -- HOW LONG AFTER THE PLAYER STARTS THE MISSION DO ZONE CHECKING BECOME ACTIVE
gMissionOptions.languageChoices = {["english"] = "English" ,["spanish"] = "Spanish" }
gMissionOptions.language = gMissionOptions.languageChoices.english 
gMissionOptions.preferences = { [1] = { language=gMissionOptions.languageChoices.english , difficulty=1, measure=gMeasure.feet ,enemySkill=gSkill.good , friendlySkill=gSkill.good , instructions=nil ,flight_distance=gDistance.medium } , 
								[2] = { language=gMissionOptions.languageChoices.spanish , difficulty=1, measure=gMeasure.meters , enemySkill=gSkill.excellent , friendlySkill=gSkill.good , instructions=nil, flight_distance=gDistance.medium } , }
gMissionOptions.clearView = true  
gMissionOptions.sayThis = {}
-- TANKERS
gMissionOptions.tankers = {}
gMissionOptions.tanker_attributes = { allowed=true, immortal = true , invisible=true }
gMissionOptions.tankerFrequency = 129.5 -- STARTING FREQUENCY
gMissionOptions.tankerHolding = 79200 --185200 HOW LONG IS THE HOLDING RACETRACK IN METERS/2
gMissionOptions.tankerDetect = 10000 -- HOW FAR AWAY FROM EXISTING TANKER HAVE TO BE TO SPAWN A NEW ONE
--Targets.S60TYPE59ARTILLERY.country = "ALLCOUNTRIES"
gMissionOptions.runningMissions = {}
gMissionOptions.parkingMaps = {}
gPlayerUnits = {} -- HOLDS THE ACTIVE HUMAN PLAYERS
gPlayerGroups = {}-- HOLDS THE ACTIVE HUMAN PLAYER GROUPS
gVisibleAIUnits = {} -- THE ACTIVE AI BOTH ON THE MAP AND DYNAMICALLY SPAWNED
gAllUnits = {} -- ALL THE ACTIVE UNITS INCLUDING HUMAN PLAYERS
gBirthCount = 1 -- SEQUENCE USED FOR GROUP NAMES TO KEEP UNIQUE ALWAYS PLUS ONE
gMissionOptions.reloads = {} -- USED TO CHECK FOR UNIT CHECKING TO RELOAD
--- MISSION EDITOR PREFERENCES
gMissionOptions.smokeOnAirbase = true
gMissionOptions.defaultPreferences = gMissionOptions.preferences[1]
gMissionOptions.coalitionEnd = true 
gMissionOptions.difficulty = 3 -- 1-5 1 is easist
gMissionOptions.traffic = {}
-- PERSISTENCE
gMissionOptions.usePersistance = true
gMissionOptions.persistencePath = "\\Saved Games\\DCS\\Missions\\"
gMissionOptions.persistenceFile = "invasion_tinian.lua"
gMissionOptions.persistenceAttributes = { [1]="Vehicles" , [2]="Fortifications" }
gMissionOptions.persistenceMove = {}
gMissionOptions.persistenceVariables = { ammoDumpSeized=false ,airfieldSeized = false , invasionStarted=false }

-- MISSION SPECIFIC
gMissionOptions.noRunningMissions = true 
gMissionOptions.missionSpecificMenus = true 
gMissionOptions.myZone1 = "Zone1"
gMissionOptions.myZone2 = "Zone2"
gMissionOptions.myZone3 = "Zone3"
gMissionOptions.RTB = "RTB"


-- ADD ANY TARGETS
Targets["2B11MORTAR"]	= { category=MissionCombat.ARTILLERY.category, type="2B11 mortar", typename="Mortar" , enterservice=1941 , retired=2025  , speed=0 , country="ALLCOUNTRY", medium="Ground" , }
Targets.INFANTRYAKVER3	= { category=MissionCombat.TROOPS.category, type="Infantry AK ver3", typename="Ground Troops" , enterservice=1947 , retired=2025  , speed=4 , country="RUSSIA", medium="Ground" , }
Targets.TACANBEACON	= { category=MissionCombat.HARDENED.category, type="TACAN_beacon", typename="TACAN" , enterservice=1947 , retired=2025  , speed=4 , country="ALLCOUNTRY", medium="Ground" , }

gMissionOptions.targetCategories={[1]=MissionCombat.TROOPS.category,}
gMissionOptions.targetPreloads = {[1]=Targets.TETRARCH.type , [2]=Targets.LSTMK2.type , [3]=Targets.FLAK18.type , [4]=Targets.M4SHERMAN.type, [5]=Targets.FLAK38.type, [6]=Targets.LEFH1840105.type , [7]=Targets.BLITZ366700A.type , [8]=Targets.M4SHERMAN.type }
--gMissionOptions.staticPreloads = {[1]={ shape="garagh-small-a", type="Garage small A",category="Fortifications",} , [2]={ shape="ammo_box_cargo", type="ammo_cargo", category="Cargos", } }

-- gMissionOptions.combatZones = { [gMissionOptions.myZone1] = gMissionOptions.myZone1 ,[gMissionOptions.myZone2] = gMissionOptions.myZone2 , [gMissionOptions.myZone3] = gMissionOptions.myZone3 ,[gMissionOptions.RTB] = gMissionOptions.RTB,}
gMissionOptions.combatZones = { [gMissionOptions.myZone1] = "Alpha" ,[gMissionOptions.myZone2] = "Bravo" , [gMissionOptions.myZone3] = "Charlie" ,[gMissionOptions.RTB] = gMissionOptions.RTB,}

gMissionOptions.blueCountries = {[1]="CJTF_BLUE" , } --[2]="UK", [3]="GERMANY", }
gMissionOptions.redCountries = {[1]="CJTF_RED", } -- [2]="USSR", [3]="THIRDREICH", }

gMissionOptions.friendlyGroups = {["F1"] = "L1" , ["F2"] = "F2" , ["F3"] = "F3" ,}
gMissionOptions.humansFill = true -- WHEN TRUE HUMAN PLAYERS FILL AI FRIENDLY GROUPS humanGroups[COLOR] COMMENT OUT TO DISABLE DON'T SET TO FALSE
gMissionOptions.humanGroupsBlue = {["G1B"] = "F1" , ["G2B"] = "F2" , ["G3B"] = "F3" ,  }
gMissionOptions.humanGroupsRed = {["G1R"] = "F1" , ["G2R"] = "F2" , ["G3R"] = "F3" ,  }
gMissionOptions.friendlyAircraftSkill = "Average" -- Average Good High Excellent
gMissionOptions.enemyAircraftSkill = "Average"

gMissionOptions.ships = {}

-- CHANGE ANY LIVERIES


gMissionOptions.HARMS = {}

gScore = { 	shots= {[coalition.side.BLUE]=0 , [coalition.side.RED]=0 , [coalition.side.NEUTRAL]=0} , 
			hits= {[coalition.side.BLUE]=0 , [coalition.side.RED]=0 , [coalition.side.NEUTRAL]=0} , 
			kills= {[coalition.side.BLUE]=0 , [coalition.side.RED]=0 , [coalition.side.NEUTRAL]=0} ,
			units={},
		}
			

env.setErrorMessageBoxEnabled(false)
if gDev ~= nil then 
	Debugging = true
	DebugFilter = "EventHandler"
	gMissionOptions.clearView = false
	env.setErrorMessageBoxEnabled(true)
end
-- assert(loadfile("C:\\Users\\brad\\Saved Games\\DCS\\Missions\\toolbox\\globalobjects.lua"))() 
-- assert(loadfile("C:\\Users\\brad\\Saved Games\\DCS\\Missions\\toolbox\\toolbox.lua"))()
-- assert(loadfile("C:\\Users\\brad\\Saved Games\\DCS\\Missions\\invasion_tinian\\variables.lua"))()
-- assert(loadfile("C:\\Users\\brad\\Saved Games\\DCS\\Missions\\Multiplayer Template_v2\\template_onetime.lua"))()
-- assert(loadfile("C:\\Users\\brad\\Saved Games\\DCS\\Missions\\invasion_tinian\\mission.lua"))()
-- assert(loadfile("C:\\Users\\brad\\Saved Games\\DCS\\Missions\\invasion_tinian\\events.lua"))()