-- MISSION SPECIFIC

function missionMenuItems ( input )

	if input.choice == gMissionOptions.sayThis["English"].menu_items.startMission then
		-- loadMissionCustoms ( input )
		-- createRunningMission ( input ) 
		-- loadFriendlySorties ( input )
		-- loadEnemyPositions ( input )
		-- determinePlayers ( input )
		-- doRadioCommand (input) 
		-- sayMissionPlan ( input )
		--if Debugging == true then printDebug ("EventHandler" ,"Mission Menu Item"  , 10 ) end 
	end 
	
	if input.choice == gMissionOptions.sayThis["English"].menu_items.options then
		doOptions ( input )
	end 
	
	-- if input.choice == 'RemoveDestroyedUnit' then
		-- removeDestroyedUnit ( input )
	-- end
	if input.choice == 'LoadUnits' then
		loadUnits ( input )
	end
	
	
	-- if input.choice == 'RemoveAllDestroyedUnits' then
		-- removeAllDestroyedUnits ( input )
	-- end
	if input.choice == 'DoSave' then
		doSave ( input )
	end
	
	if input.choice == 'DynamicSpawns' then
		dynamicSpawns ( input )
	end
	
	if input.choice == 'CheckPersistence' then
		checkPersistence ( input )
	end
	
	if input.choice == 'PostitionLateActivate' then
		playerAirborne ( input )
	end
	
	if input.choice == 'SetLateActivation' then
		setLateActivation ( input )
	end
	
	if input.choice == 'setPersistentState' then
		setPersistentState ( input )
	end
	
	
	
	
	
end

function missionSpecificMenus ( input )
		-- local menuName = "MissionMenu" --gMissionOptions.sayThis[myLanguage].menu_items.options
		-- local menu1 = missionCommands.addSubMenuForGroup(input.groupID , menuName , input.command[menuName] )
		
		-- local CommandName = "DynamicSpawns"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "DynamicSpawns" , group=input.group ,})
		
		-- local CommandName = "RemoveAllDestroyedUnits"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "RemoveAllDestroyedUnits" , group=input.group ,})
		
		-- local CommandName = "RemoveDestroyedUnit"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "RemoveDestroyedUnit" , remove_unit="My5-2", group=input.group ,})
		
		-- local CommandName = "LoadUnits"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "LoadUnits" , group=input.group ,})
		
		
		-- local CommandName = "Check Persistence"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "CheckPersistence" , group=input.group ,path=gMissionOptions.persistencePath, file=gMissionOptions.persistenceFile,})

		
		-- local CommandName = gMissionOptions.sayThis[input.language].load_troops
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "LoadCargo" , cargoType=gMissionOptions.cargoTypes.troops, group=input.group ,})
		
		-- local CommandName = gMissionOptions.sayThis[input.language].unload_aircraft
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "UnloadCargo" , group= input.group ,})

		-- local CommandName = "DoSave"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "DoSave" , group= input.group ,})
		
		-- local CommandName = "PostitionLateActivate"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "PostitionLateActivate" , group= input.group ,})
		
		-- local CommandName = "SetLateActivation"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "SetLateActivation" , group= input.group ,})
		
		-- local CommandName = "setPersistentState"
		-- local menuItem = missionCommands.addCommandForGroup(input.groupID, CommandName , menu1 , doMenuItems , {choice = "setPersistentState" , group= input.group ,})
			
end 

function loadMissionLanguages ()
	local myNameEnglish = "Tinian Invasion 1944"
	local myNameSpanish = "Invasión de Tinian 1944"
	
	gMissionOptions.sayThis["English"].welcome = "Welcome to " .. myNameEnglish .. " version  " .. gMissionOptions.Version  -- .. "\n" 
	gMissionOptions.sayThis["English"].mission_name = myNameEnglish
	gMissionOptions.sayThis["English"].mission_lead_to = "I will lead you to objective"
	gMissionOptions.sayThis["English"].mission_incoming_artillery = "are taking artillery fire from their position"
	gMissionOptions.sayThis["English"].mission_landings_begun = "The Marines landings on beaches White One and White Two have begun"
	gMissionOptions.sayThis["English"].mission_landings_continue = "The Marines will continue to push southward to seize the island of Tinian"



	
	gMissionOptions.sayThis["Spanish"].welcome = "Bienvenido a " .. myNameSpanish .. " versión " .. gMissionOptions.Version  --- .. "\n" 
	gMissionOptions.sayThis["Spanish"].mission_name = myNameSpanish
	gMissionOptions.sayThis["Spanish"].mission_lead_to = "Te llevaré al objetivo"
	gMissionOptions.sayThis["Spanish"].mission_incoming_artillery = "recibe fuego de artillería desde su posición"
	gMissionOptions.sayThis["Spanish"].mission_landings_begun = "Comenzaron los desembarcos de Marines en las playas White One y White Two"
	gMissionOptions.sayThis["Spanish"].mission_landings_continue = "Los marines continúan avanzando hacia el sur para apoderarse de la isla de Tinian"
	
	
end 

function loadMissionCustoms ()
	-- local myPylonsZero = {[5] = {["CLSID"] = "REISEN52_TANK",},[4] = {["CLSID"] = "60KG_BOMB",},[7] = {["CLSID"] = "60KG_BOMB",}, }
	-- Targets.REISEN52	={category=MissionCombat.FIGHTER.category , altimeter="feet", smoke=pylons.SMOKE.P51D30NA, pylons={} , gpylons=myPylonsZero, country="AXIS" , enterservice=1943 , retired=1949 , wing="fixed" , type="REISEN52", typename="Zero",  fuel=400, speed=148*KNOTS,  rlivery="721" , blivery="721"  ,medium="Airborne" ,}
end

-- PERSISTENCE


-- CREATING THE MISSION
function createRunningMission ( input ) 
--	local myDistance = math.random(10,15) * MILES_TO_METERS --20000 -- 11265
	local myAreasCount = 3
	doPrintThis ({clearview = gMissionOptions.clearView  , group=input.group, duration= 5 , text=gMissionOptions.sayThis[input.language].gamepause })
	local myValidGroups = validPlayerGroups ()
	local myUnit = myValidGroups[input.group]:getUnit(1)
	input.unit = Unit.getName(myUnit)
	input.spawnPosition = centerUnitCoordinates ( input.unit )
	input.coalition = Group.getCoalition(myValidGroups[input.group])
	input.type = Unit.getTypeName(Unit.getByName ( input.unit ) )
	--input.tasks = {}
	--input.tasks[#input.tasks+1] = {["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = #input.tasks+1,["params"] = {["action"] = {["id"] = "Option",["params"] = {["name"] = 0 ,["value"] = AI.Option.Ground.val.ROE.OPEN_FIRE,},},}}

	local mySides = getOppositeSide ( {group=input.group} )
	local myRatio = 4
	local myFirstAngle =  math.random(1,6)
	
	if myUnit:inAir() then
		local myHeading = doGetUnitHeading ({name=input.unit}) 
		local myRandom = {[1]=.5 , [2]=1 , [3]=1.4 , [4]=0, [5]=-.5 , [6]=-1 , [7]=-1.5 }
		local myRandomChoice = myRandom[math.random(1,#myRandom)]
		myFirstAngle = myHeading.angle + myRandomChoice
		--if Debugging == true then printDebug ("EventHandler" , "Random " .. myRandomChoice , 10 ) end
	end 

	local mySecondAngle = myFirstAngle + ((math.pi/myRatio) * math.random(-1,1))
	local myThirdAngle = myFirstAngle + ((math.pi/myRatio) * math.random(-1,1))
	-- local mySecondAngle = myStartingAngle
	
	local myDistance = math.random(gMissionOptions.flightDistance[gPlayerGroups[input.group].preferences.flight_distance],gMissionOptions.flightDistance[gPlayerGroups[input.group].preferences.flight_distance]+7)
	local myUnitDesc = Unit.getDescByName(input.type)
	input.visualRange = gMissionOptions.visualRange
	if myUnitDesc.category == Group.Category.HELICOPTER then  
		myDistance = myDistance /2 
		input.visualRange = input.visualRange / 2
	end 
	
	--if Debugging == true then printDebug ("EventHandler" , "Flight Distance " .. myDistance  , 10 ) end
	local myPostion1 = getPointOnRadian ( { radius=myDistance , pos=input.spawnPosition , angle = myFirstAngle})
	local myPostion2 = getPointOnRadian ( { radius=myDistance , pos=myPostion1 , angle = mySecondAngle })
	local myPostion3 = getPointOnRadian ( { radius=myDistance , pos=myPostion2 , angle = myThirdAngle })
	
	local myPositions = {}
	local myStartingAngle = math.random(1,6)
	local myAngle = myStartingAngle
	for count=1, myAreasCount do
		local myCurrentPostion = {x=input.spawnPosition.x , z=input.spawnPosition.z }
		if count ~= 1 then 
			myCurrentPostion = {x=myPositions[count-1].x , z=myPositions[count-1].z }
			myAngle = myStartingAngle + ((math.pi/myRatio) * math.random(-1,1))
		end 
		myPositions[#myPositions+1] = getPointOnRadian ( { radius=myDistance , pos=myCurrentPostion, angle = myAngle})
	end
	
	
	local myAirport = findClosestAirbase ({position=input.spawnPosition ,coalition=mySides.friendlycoa })
	
	gMissionOptions.runningMissions[input.group] = { 
														group = input.group , 
														description="My Desc" , 
														--position=myPostion1, 
														position=myPositions[1],
														airbaseName=myAirport.name, 
														airbase=myAirport.id, 
														tasks={} , 
														sorties={} ,
														following=true ,
														friendlyGroups={} , 
														enemyGroups={},
														groupsHolding={} ,													
														enemyCoalition=mySides.enemycoa, 
														friendlyCoalition=mySides.friendlycoa,
														coalition=mySides.friendlycoa,
														followGroups = {} , 
														enterservice=gPlayerGroups[input.group].enterservice , 
														retired=gPlayerGroups[input.group].retired ,
														straightLevelTimer=timer.getTime() ,
														startTime = timer.getTime() ,
													
		areas= { 
				[1] = { group=input.group, position=myPositions[1] , radius=input.visualRange , zoneAction=gMissionOptions.combatZones.Zone1 , alerted=false , holdingAlt=gMissionOptions.transitionAlt } ,
				[2] = { group=input.group, position=myPositions[2] , radius=input.visualRange , zoneAction=gMissionOptions.combatZones.Zone2 , alerted=false , holdingAlt=gMissionOptions.transitionAlt } ,
				[3] = { group=input.group, position=myPositions[3] , radius=input.visualRange , zoneAction=gMissionOptions.combatZones.Zone3 , alerted=false , holdingAlt=gMissionOptions.transitionAlt } ,
				[4] = { group=input.group, position=myAirport.point , radius=gMissionOptions.visualRange , zoneAction=gMissionOptions.combatZones.RTB , alerted=false , holdingAlt=gMissionOptions.transitionAlt } ,
			}
	}
	
	gMissionOptions.runningMissions[input.group].areas[1].activated = true --ACTIVATE THE FIRST AREA OR ZONE TO MOVE TOWARDS
	gMissionOptions.runningMissions[input.group].activeArea = 1 -- HOLD ON TO THE FIRST ACTGIVE AREA
	-- local ref = trigger.misc.getZone(gMissionOptions.myZone1)
	-- trigger.action.circleToAll(-1 , 1, ref.point , 10000 , {0, 0, 0, .10 } , {1, 0, 1, .10 } , 0 , true , "My Target Area" )
end

function loadFriendlySorties ( input )
	local mySeparation = 700
	local mySides = getOppositeSide ( { group=input.group} )
	local myPlayers = validPlayerGroups ( input )
	local myPlayerUnit = myPlayers[input.group]:getUnit(1)
	local myPlayerType = Unit.getTypeName(myPlayerUnit) 
	local myPlayerKey = string.upper(myPlayerType:gsub('[%p%c%s]', '') )
	

	gMissionOptions.runningMissions[input.group].tempTransitionAlt = gMissionOptions.transitionAlt  -- if spawning player is airborne 
	local myUnitDesc = Unit.getDescByName(myPlayerType)
	if myUnitDesc.category == Group.Category.HELICOPTER then gMissionOptions.runningMissions[input.group].tempTransitionAlt = gMissionOptions.transitionAltRotary end 
	gMissionOptions.friendlySortie = {}
	
	-- GET WAYPOINTS COMMENT ALL OUT TO FLY TO NEAREST ENEMY AIRPORT
	local myWaypoints = {}
	-- for waypointKey , waypointValue in ipairs(gMissionOptions.runningMissions[input.group].areas) do
		-- myWaypoints[#myWaypoints+1] = { action = "Fly Over Point" , pos=waypointValue.position }
		-- if Debugging == true then printDebug ("EventHandler" , "Spawn group flies to " .. waypointValue.zoneAction  , 10 ) end
		
	-- end

	myWaypoints[#myWaypoints+1] = { action = "Fly Over Point" , pos=gMissionOptions.runningMissions[input.group].position }

	local myAircraftType = {}
	-- myAircraftType.type = AircraftType.P47D40.type
	-- myAircraftType.pylons = AircraftType.P47D40.gpylons
	-- myAircraftType.livery = AircraftType.P47D40.blivery
	myAircraftType.type = Targets[myPlayerKey].type
	myAircraftType.pylons = Targets[myPlayerKey].pylons
	myAircraftType.livery = Targets[myPlayerKey].blivery
	

	
	if myPlayerType == AircraftType.TF51D.type then 
		myAircraftType.type = AircraftType.P47D40.type
		myAircraftType.pylons = AircraftType.P47D40.pylons
		myAircraftType.livery = AircraftType.P47D40.blivery
	end 
	
	if gCustomLiveries ~= nil then 
		if gCustomLiveries[myAircraftType.type] ~= nil then myAircraftType.livery = gCustomLiveries[myAircraftType.type] end 
	end 

	if 	(mySides.friendlycoa == coalition.side.RED)
	then
		myAircraftType.livery = Targets[myPlayerKey].rlivery
	end
	
	-- if mySides.friendlycoa == coalition.side.BLUE and Targets[myPlayerKey].retired <=1991 then
		-- -- gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].type = AircraftType.AV8BNA.type
		-- -- gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].pylons = AircraftType.AV8BNA.gpylons
		-- -- gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].livery = AircraftType.AV8BNA.blivery
		-- myAircraftType.type = myPlayerType
		-- myAircraftType.pylons = Targets[myPlayerKey].gpylons
		-- myAircraftType.livery = Targets[myPlayerKey].rlivery
	-- end
	
	-- if Targets[myPlayerKey].retired <=1991 or Targets[myPlayerKey].wing == "rotary" then -- IF THE PLAYER THAT SELECTS FLYING NON-HARM EQUIPED AIRCRAFT
		-- gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].type = myPlayerType
		-- gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].pylons = Targets[myPlayerKey].gpylons
		-- gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].livery = Targets[myPlayerKey].blivery
	-- --	gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].targetTypes = {[1] = "AAA", }  -- SWITCH THE TARGET TYPES TO ANY AIRDEFENCE
	-- end 
	
	
	----------------------------------------------------------------
	--	EXAMPLE GROUP 1 ( A SPECIFIED TYPE OF AIRCRAFT )
	----------------------------------------------------------------
	gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie+1] = {
	group = input.group , 
	groupName = gMissionOptions.friendlyGroups.F1 , -- LEAVE BLANK AND USES CALLING GROUP FOR START OF NAME
	groupCount = gMissionOptions.friendlySortieGroupCount , -- NUMBER OF GROUPS SPAWNED
	unitCount = gMissionOptions.friendlySortieUnitCount , -- NUMBER OF UNITS SPAWNED
	unitDistance = 10 , -- DISTANCE BETWEEN UNITS WILL CALCUATE AS (math.random(5,10)*input.unitDistance) 
	groupDistance = 10 , --100 -- DISTANCE BETWEEN GROUPS WILL CALCUATE AS (math.random(5,10)*input.groupDistance) 
	speedmodifier = 1 , -- PERCENT OF HOW MUCH TO MODIFY SPEED FROM TARGET TABLE DEFAULT 0 STOP TO 1 FULL SPEED OR REMOVE FOR DEFAULT
	formation = gFormationType.WWIIFighterTight ,  -- WHAT KIND OF FORMATION DO YOU WANT WWIIFighterTight FingerFourClose AbreastClose
	targetTypes = {[1] = "Planes" , [2]="All" , } ,
	--targetTypes = {[1] = "Ships" , [2] = "AAA" , [3]="Unarmed vehicles" , } , -- TARGETS THIS GROUP IS ALLOWED TO ATTACK IN PRECIDENCE
	-- targetTypes = { [1] = "AAA" , [2]="Unarmed vehicles" , [3]="All" } , -- TARGETS THIS GROUP IS ALLOWED TO ATTACK IN PRECIDENCE
	noTargetTypes = {} , --{[1] = "Tanks", [2] = "Armored vehicles", [3]="Modern Tanks"} , --WHAT TARGETS THEY CANNOT ATTACK
	task = "SEAD" , -- DCS TASK TYPES IE "AFAC" "SEAD" , "HARM", "CAS" etc.  I think this is important but cannot recall what for
	altMod = 1 , -- IF YOU WANT TO MODIFY UP OR DOWN THE HORIZONTIAL SPAWN LOCATION  FOR AIRBORNE SPAWN DEFAULT IS PLUS 100 FEET
	callsign = 2 , -- 2 = SPRINGFIELD 4 = COLT 7 = CHEVY etc
	skill = gPlayerGroups[input.group].preferences.friendlySkill, -- Average Good High Excellent
	type = myAircraftType.type, -- AIRCRAFT TYPE
	pylons = myAircraftType.pylons, -- AIRCRAFT PYLONS COMES FROM GLOBAL OBJECTS
	livery = myAircraftType.livery , -- AIRCRAFT LIVERY COMES FROM GLOBAL OBJECTS
	sortie = gMissionOptions.friendlyGroups.F1, -- WHICH SORTIE IN LOCAL VARIABLES THIS MATCHES TO
	}

	gMissionOptions.runningMissions[input.group].sorties[gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].sortie] = {  }
	
	----------------------------------------------------------------
	--	EXAMPLE GROUP 2 ( SAME TYPE AS GROUP THAT CALLS THEM
	----------------------------------------------------------------
	gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie+1] = {
		group = input.group , 
		groupName = gMissionOptions.friendlyGroups.F2, -- LEAVE BLANK AND USES CALLING GROUP FOR START OF NAME
		groupCount = gMissionOptions.friendlySortieGroupCount , -- NUMBER OF GROUPS SPAWNED
		unitCount = gMissionOptions.friendlySortieUnitCount , -- NUMBER OF UNITS SPAWNED
		unitDistance = 10 ,-- WILL CALCUATE AS (math.random(5,10)*input.unitDistance) 
		groupDistance = 0 ,--100 -- WILL CALCUATE AS (math.random(5,10)*input.groupDistance) 
		speedmodifier = 1 ,-- PERCENT OF HOW MUCH TO MODIFY SPEED FROM TARGET TABLE DEFAULT 0 STOP TO 1 FULL SPEED OR REMOVE FOR DEFAULT
		--tasks = formation.WWIIFighterTight ,-- formation always comes first in task list or will crash game
		formation = gFormationType.WWIIFighterTight , 
		targetTypes = {[1] = "Planes" , [2]="All" , } ,
		--targetTypes = {[1] = "Ships" , [2] = "Unarmed vehicles" , [3]="All" ,  } ,
		-- targetTypes = { [1] = "AAA" , [2]="Unarmed vehicles" , [3]="All" } , -- TARGETS THIS GROUP IS ALLOWED TO ATTACK IN PRECIDENCE
		noTargetTypes = { [1] = "SAM SR"}, -- {[1] = "SAM SR", [2] = "SAM TR", [3] = "EWR", [4] = "AAA",} ,
		task = "Ground Attack" ,
		altMod = 50 , -- IF YOU WANT TO MODIFY UP OR DOWN THE HORIZONTIAL SPAWN LOCATION  FOR AIRBORNE SPAWN DEFAULT IS PLUS 100 FEET
		callsign = 4 , -- COLT
		skill = gPlayerGroups[input.group].preferences.friendlySkill , -- Average Good High Excellent
		type = myAircraftType.type  , -- myPlayerType , -- myPlayerType THIS TYPE MATCHES THE PLAYER TYPE THAT SPAWNED IT
		livery = myAircraftType.livery ,-- AIRCRAFT LIVERY COMES FROM GLOBAL OBJECTS
		pylons = myAircraftType.pylons ,-- AIRCRAFT PYLONS COMES FROM GLOBAL OBJECTS
		sortie = gMissionOptions.friendlyGroups.F2,
	}

	gMissionOptions.runningMissions[input.group].sorties[gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].sortie] = {  }

	
	----------------------------------------------------------------
	--	EXAMPLE GROUP 3 ( SAME TYPE AS GROUP THAT CALLS THEM
	----------------------------------------------------------------
	gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie+1] = {
		group = input.group , 
		groupName = gMissionOptions.friendlyGroups.F3, -- LEAVE BLANK AND USES CALLING GROUP FOR START OF NAME
		groupCount = gMissionOptions.friendlySortieGroupCount , -- NUMBER OF GROUPS SPAWNED
		unitCount = gMissionOptions.friendlySortieUnitCount , -- NUMBER OF UNITS SPAWNED
		unitDistance = 10 ,-- WILL CALCUATE AS (math.random(5,10)*input.unitDistance) 
		groupDistance = 0 ,--100 -- WILL CALCUATE AS (math.random(5,10)*input.groupDistance) 
		speedmodifier = 1 ,-- PERCENT OF HOW MUCH TO MODIFY SPEED FROM TARGET TABLE DEFAULT 0 STOP TO 1 FULL SPEED OR REMOVE FOR DEFAULT
		--tasks = formation.WWIIFighterTight ,-- formation always comes first in task list or will crash game
		formation = gFormationType.WWIIFighterTight , 
		targetTypes = {[1] = "Planes" , [2]="All" , } ,
		--targetTypes = {[1] = "Ships" , [2] = "AAA" , [3]="All" , } ,
		--targetTypes = { [1] = "AAA" , [2]="Unarmed vehicles" , [3]="All" } , -- TARGETS THIS GROUP IS ALLOWED TO ATTACK IN PRECIDENCE
		noTargetTypes = {}, -- {[1] = "SAM SR", [2] = "SAM TR", [3] = "EWR", [4] = "AAA",} ,
		task = "Ground Attack" ,
		altMod = 50 , -- IF YOU WANT TO MODIFY UP OR DOWN THE HORIZONTIAL SPAWN LOCATION  FOR AIRBORNE SPAWN DEFAULT IS PLUS 100 FEET
		callsign = 4 , -- COLT
		skill = gPlayerGroups[input.group].preferences.friendlySkill , -- Average Good High Excellent
		type =  myAircraftType.type , -- myPlayerType THIS TYPE MATCHES THE PLAYER TYPE THAT SPAWNED IT
		livery = myAircraftType.livery ,-- AIRCRAFT LIVERY COMES FROM GLOBAL OBJECTS
		pylons = myAircraftType.pylons,-- AIRCRAFT PYLONS COMES FROM GLOBAL OBJECTS
		sortie = gMissionOptions.friendlyGroups.F3,
	}

	gMissionOptions.runningMissions[input.group].sorties[gMissionOptions.friendlySortie[#gMissionOptions.friendlySortie].sortie] = {  }
	
	-- DO TO ALL SORTIES
	-- local myLeaderDistance = 
	
	-- table.insert(a, 1, 15)
	if myWaypoints ~= nil and Unit.inAir(myPlayerUnit) then
		local myTurnDistance = #gMissionOptions.friendlySortie *mySeparation + 200
		local myTurnPosition  = getPointOnRadian ( { radius=myTurnDistance , pos=input.spawnPosition , angle = input.heading.angle })
		local myWaypoint = { action = "Fly Over Point" , pos=myTurnPosition }
		table.insert(myWaypoints, 1, myWaypoint)
	end
	for count = 1, #gMissionOptions.friendlySortie do	
		gMissionOptions.friendlySortie[count].spawnDistance = ((#gMissionOptions.friendlySortie)*mySeparation) - ((count-1) * mySeparation)
		if myWaypoints ~= nil then
			gMissionOptions.friendlySortie[count].waypoints = myWaypoints
			--if Debugging == true then printDebug ("EventHandler" , "Put in waypoints " ..  gMissionOptions.friendlySortie[count].type , 10 ) end
		end 
	
		gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie] = {}
		--gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie].savedTargets = { }
		gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie].targets = { }
		gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie].noTargets = { }
		for targetKey, targetValue in ipairs (gMissionOptions.friendlySortie[count].targetTypes) do
			--gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie].savedTargets[targetKey] = targetValue
			gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie].targets[targetKey] = targetValue
		end 
		for targetKey, targetValue in ipairs (gMissionOptions.friendlySortie[count].noTargetTypes) do
			gMissionOptions.runningMissions[input.group].tasks[gMissionOptions.friendlySortie[count].sortie].noTargets[targetKey] = targetValue
		end 
	end 
	
	 -- if gMissionOptions.runningMissions ~= nil then 
	 -- for missionKey, missionValue in pairs (gMissionOptions.runningMissions) do
		-- for sortieKey, sortieValue in pairs (missionValue.tasks) do
			-- for tasksKey, tasksValue in pairs (sortieValue) do
				-- for targetsKey, targetsValue in pairs (tasksValue) do
					-- if Debugging == true then printDebug ("EventHandler" , "targetsKey " .. tasksKey .. " " .. targetsValue, 10 ) end
				-- end 
			-- end 
		-- end 
	 -- end
 -- end

end 

function loadEnemyPositions ( input )
	-- local myValidGroups = validPlayerGroups ()
	-- input.unit = Unit.getName( myValidGroups[input.group]:getUnit(1)  )
	-- input.spawnPosition = centerUnitCoordinates ( input.unit )
	-- input.coalition = Group.getCoalition(myValidGroups[input.group])
	-- input.type = Unit.getTypeName(Unit.getByName ( input.unit ) )
	--local mySurfaceTypes = {[1]="Land" , [2]="Water" } 
	local mySurfaceTypes = {[1]="Water" , } 
	local myRandomDistance = 2000
	local myFighterInboundDistance = 10000  --  4000
	local myPrecision = 2000 -- how big the water and land must be to decide on it
	local mySpeedModifier = 1 --.85
	--- DO ANY TARGET ADJUSTMENTS
	Targets.SCHNELLBOOTTYPES130.retired = 2050
	Targets.USSSAMUELCHASE.retired = 2050
	Targets.UBOATVIIC.retired = 2050
	
	-- CALULATE ANY DIFFICULTY
	local myDifficulty = gPlayerGroups[input.group].preferences.difficulty
	local myUnitCount = 1
	local myGroupCount  = 1
	local myGroupDistance = 1
	local myUnitDistance = 1
	local myAiborneWaves = 0 + myDifficulty
	myFighterInboundDistance = myFighterInboundDistance - (myDifficulty*1000)
	local myROE = AI.Option.Naval.val.ROE.OPEN_FIRE
	local myAirborneROE = 		AI.Option.Air.val.ROE.WEAPON_HOLD
	local myAirborneReaction = 	AI.Option.Air.val.REACTION_ON_THREAT.NO_REACTION
	local myAirborneAircraft = AircraftType.FW190A8
	if gA6M5mod == true then myAirborneAircraft = Targets.REISEN52 end
	
	if myDifficulty == 5 then myROE = AI.Option.Naval.val.ROE.WEAPON_HOLD end 
	if myDifficulty > 4 then myAiborneWaves = myAiborneWaves + 1 end 
		-- myGroupCount = 2
		-- myGroupDistance = 100
		-- myUnitDistance = 1
	-- end
	
	
	local myTargetDifficulty = { [1]=MissionCombat.CARGOSHIP.category,[2]=MissionCombat.CARGOSHIP.category,[3]=MissionCombat.CARGOSHIP.category ,[4]=MissionCombat.CARGOSHIP.category,[5]=MissionCombat.CARGOSHIP.category,}
	--local myTargetDifficulty = { [1]=MissionCombat.ASSCARRIER.category,[2]=MissionCombat.ASSCARRIER.category,[3]=MissionCombat.ASSCARRIER.category ,[4]=MissionCombat.ASSCARRIER.category,[5]=MissionCombat.ASSCARRIER.category,}

	
	local myTargetFound = getTarget ( { group=input.group , category=myTargetDifficulty[myDifficulty] , accurate=true, assetpack=gMissionOptions.WWIIassets  } ) --all=true returns all vs one.  samecountry=true returns same country as unit that called this
	
	
	if myTargetFound ~= nil then 
	
	else -- THIS WOULD BE THE DEFAULT TO ALWAYS FIND SOMETHING
		myTargetFound = getTarget ( { group=input.group , category=myTargetDifficulty[myDifficulty] , accurate=false, assetpack=false , retired=2050} ) --all=true returns all vs one.  samecountry=true returns same country as unit that called this
		if Debugging == true then printDebug ("EventHandler" , "Default Target Key " .. myTargetFound.type  , 10 ) end
	end
	
	myTargetFound = Targets.USSSAMUELCHASE -- override any target found
	
	local myNavalTasks = {}
	myNavalTasks[#myNavalTasks+1] = {["number"] = #myNavalTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = myROE ,["name"] = AI.Option.Naval.id.ROE, },},} } --ENGAGEMENT RANGE MAX_RANGE  HALF_WAY_RMAX_NEZ

	local myAirborneTasks = {}
	myAirborneTasks[#myAirborneTasks+1] = {["number"] = #myAirborneTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = myAirborneROE ,["name"] = AI.Option.Air.id.ROE, },},} } --ENGAGEMENT RANGE MAX_RANGE  HALF_WAY_RMAX_NEZ
	myAirborneTasks[#myAirborneTasks+1] = {["number"] = #myAirborneTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = myAirborneReaction ,["name"] = AI.Option.Air.id.REACTION_ON_THREAT, },},} }
	myAirborneTasks[#myAirborneTasks+1] = {["number"] = #myAirborneTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = false ,["name"] = AI.Option.Air.id.RTB_ON_BINGO, },},} } --NO RTB BINGO
	myAirborneTasks[#myAirborneTasks+1] = {["number"] = #myAirborneTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.PROHIBIT_JETT, },},} } 
	
	
	local myWaveType = {
		group = input.group , 
		groupName = "EF", -- gMissionOptions.friendlyGroups.F2, -- LEAVE BLANK AND USES CALLING GROUP FOR START OF NAME
		groupCount = 1 ,-- gMissionOptions.friendlySortieGroupCount , -- NUMBER OF GROUPS SPAWNED
		unitCount = 1 ,--gMissionOptions.friendlySortieUnitCount , -- NUMBER OF UNITS SPAWNED
		unitDistance = 1 ,-- WILL CALCUATE AS (math.random(5,10)*input.unitDistance) 
		groupDistance = 1 ,--100 -- WILL CALCUATE AS (math.random(5,10)*input.groupDistance) 
		speedmodifier = 1 ,-- PERCENT OF HOW MUCH TO MODIFY SPEED FROM TARGET TABLE DEFAULT 0 STOP TO 1 FULL SPEED OR REMOVE FOR DEFAULT
		formation = gFormationType.WWIIFighterTight , 
		targetTypes = {} , --{[1] = "Ships" , [2] = "Unarmed vehicles" , [3]="All" ,  } ,
		noTargetTypes = {}, -- {[1] = "SAM SR", [2] = "SAM TR", [3] = "EWR", [4] = "AAA",} ,
		task = "CAP" ,
		altMod = 1 , -- IF YOU WANT TO MODIFY UP OR DOWN THE HORIZONTIAL SPAWN LOCATION  FOR AIRBORNE SPAWN DEFAULT IS PLUS 100 FEET
		callsign = 4 , -- COLT
		skill = gPlayerGroups[input.group].preferences.friendlySkill , -- Average Good High Excellent
		type = myAirborneAircraft.type, -- THIS TYPE MATCHES THE PLAYER TYPE THAT SPAWNED IT
		livery = myAirborneAircraft.rlivery ,-- AIRCRAFT LIVERY COMES FROM GLOBAL OBJECTS
		pylons = myAirborneAircraft.gpylons ,-- AIRCRAFT PYLONS COMES FROM GLOBAL OBJECTS
		action = "Turning Point" ,
		spawnFrom = "Airborne" ,
		spawncountry = input.enemycountryid,
		coalition=input.enemycoa ,
		heading = input.heading , -- THIS NEEDS TO BE THE HEADING TABLE
		speed = gMissionOptions.enemyTopSpeed , --myAirborneAircraft.speed/.75 ,
		skill = gPlayerGroups[input.group].preferences.enemySkill ,
		--airfield = myAirport.id ,
		alt = 2000 ,
		tasks = myAirborneTasks,
		altType="RADIO", 
		lateActivation=true ,
	}
	local myEnemySpawn = { }
	for waves=1,myAiborneWaves do
		myEnemySpawn[#myEnemySpawn+1] = myWaveType
		--myEnemySpawn[#myEnemySpawn].alt = math.random ( 4,6 ) * 100
	end 
		
	myEnemySpawn[#myEnemySpawn+1] = { 	type=myTargetFound.type , 
								radius= 1,  
								action="Off Road",
								groupName="FS", 
								alt=0,
								speed=0 , -- myTargetFound.speed*mySpeedModifier, 
								group=input.group, 
								coalition=input.friendlycoa , 
								spawncountry=input.friendlycountryid, 
								unitCount=myUnitCount ,
								unitDistance=myUnitDistance ,
								groupCount=myGroupCount , 
								groupDistance=myGroupDistance,
								lateActivation=true ,
								tasks = myNavalTasks,
								}
										

	for i=1,#gMissionOptions.runningMissions[input.group].areas-1 do --LAST ONE SHOULD ALWAYS BE RTB SO MINUS ONE
		local myRandomAngle = {[1]=math.pi , [2]=math.pi/2 , [3]=(math.pi/2)*3 , [4]=0}
		local myPoint = getPointOnRadian ( { radius=myRandomDistance , pos=gMissionOptions.runningMissions[input.group].areas[i].position , angle=myRandomAngle[math.random(1,#myRandomAngle)]})
		local myEnemyRange = gMissionOptions.visualRange
		
		gMissionOptions.runningMissions[input.group].areas[i].spawnGroups = {}
		gMissionOptions.runningMissions[input.group].areas[i].spawnUnits = {}
		
		local myFriendlyStartingPosition = findMatchingSurfacePoints ( {position=myPoint ,surfacetypes=mySurfaceTypes, distance=100 , samples=12, precision=myPrecision,  } ) --allpoints=true , unit=

		local myShipHeading = { bearing=getBearingTwoPoints({x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z } , myPoint ) , angle=getAngleBetweenTwoPoints({x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z } , myPoint)}
		local myShip90degrees = myShipHeading.angle + (math.pi/2)
		
		gMissionOptions.runningMissions[input.group].areas[i].spawnPosition = {x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z }
		
		for count=1,#myEnemySpawn do
		
			local myGroupCountry = "enemyGroups"
			if myEnemySpawn[count].spawncountry == input.enemycountryid then
				local myRandom = {[1]=-1 , [2]=1}
				local myRandomTurnDistance = (math.random(5 , 7) * 1000) * count
				local myInboundDistance = myFighterInboundDistance + (math.random(1,10) * 100) 
				local myTurnOffset = myShip90degrees  -- + (( math.pi/6) * myRandom[math.random(1,#myRandom)])
				
				local myEnemyTurnPosition =  getPointOnRadian ( { radius=myInboundDistance , pos={x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z } , angle=myTurnOffset })
				local myEnemyDivePosition =  getPointOnRadian ( { radius=myInboundDistance/3 , pos={x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z } , angle=myTurnOffset })
				myEnemyTurnPosition =  getPointOnRadian ( { radius=2000 , hashed=5 , pos=myEnemyTurnPosition , angle=myShip90degrees+math.pi/2,})
				myEnemyTurnPosition = myEnemyTurnPosition.hashed[math.random (1, myEnemyTurnPosition.hashed[#myEnemyTurnPosition.hashed] )]
				
				myEnemySpawn[count].spawnPosition = getPointOnRadian ( { radius=myRandomTurnDistance , pos=myEnemyTurnPosition , angle=myShip90degrees+((math.pi/4)* myRandom[math.random(1,#myRandom)]  ) })
				
				local myFlyToPoint = getPointOnRadian ( { radius=500 , pos=myEnemyTurnPosition , angle=myShip90degrees+math.pi })
				
				myEnemySpawn[count].waypoints = {}
				myEnemySpawn[count].waypoints[#myEnemySpawn[count].waypoints+1] = { action="Turning Point", pos=myEnemyTurnPosition, alt=1000 , speed=myEnemySpawn[count].speed, altType="RADIO" ,}
				myEnemySpawn[count].waypoints[#myEnemySpawn[count].waypoints+1] = { action="Fly Over Point", pos=myEnemyDivePosition, alt=0 , speed=myEnemySpawn[count].speed, altType="RADIO" ,}
				myEnemySpawn[count].waypoints[#myEnemySpawn[count].waypoints+1] = { action="Fly Over Point", pos={x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z },alt=-100 , speed=myEnemySpawn[count].speed, altType="RADIO" ,}
				myEnemySpawn[count].waypoints[#myEnemySpawn[count].waypoints+1] = { action="Fly Over Point", pos=myFlyToPoint, alt=0 , speed=myEnemySpawn[count].speed, altType="RADIO" ,}			
				myEnemySpawn[count].heading = { bearing=getBearingTwoPoints(myEnemySpawn[count].spawnPosition , myEnemyTurnPosition)  }
			
				if getDistanceBetweenTwoPoints( myEnemySpawn[count].spawnPosition, {x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z } ) > myEnemyRange then
					myEnemyRange = getDistanceBetweenTwoPoints( myEnemySpawn[count].spawnPosition, {x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z } )
				end
				-- local myLocation1 = {x=myEnemyTurnPosition.x , z=myEnemyTurnPosition.z}
				-- myLocation1.y = land.getHeight{x = myEnemyTurnPosition.x, y = myEnemyTurnPosition.z}
				-- trigger.action.smoke(myLocation1, count )
				
			end 
			
			
			if myEnemySpawn[count].spawncountry == input.friendlycountryid then
				myGroupCountry = "friendlyGroups"
				myEnemySpawn[count].spawnPosition = {x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z }
				myEnemySpawn[count].waypoints = {[1]={action="Off Road", pos={x=myFriendlyStartingPosition.position.x , z=myFriendlyStartingPosition.position.z },alt=0 , speed=myEnemySpawn[count].speed, altType="RADIO" ,}}	
				myEnemySpawn[count].heading = myShipHeading
			end 
			

			
			local myReturn = mySpawn ( myEnemySpawn[count]  )
			gMissionOptions.runningMissions[input.group][myGroupCountry][#gMissionOptions.runningMissions[input.group][myGroupCountry]+1] = myReturn --GETS ADDED TO ALL THE GROUPS
			if myEnemySpawn[count].spawncountry == input.friendlycountryid then
				gMissionOptions.runningMissions[input.group].areas[i].targetName =  Unit.getName(Group.getUnit(Group.getByName(myReturn[1].group), 1) )
			end 
			
			for returnKey=1,#myReturn do
				local myGroupCount = #gMissionOptions.runningMissions[input.group].areas[i].spawnGroups
				local myUnitCount = #gMissionOptions.runningMissions[input.group].areas[i].spawnUnits
				gMissionOptions.runningMissions[input.group].areas[i].spawnGroups[myGroupCount+1] = {group=myReturn[returnKey].group , type=myReturn[returnKey].type }
				for index, myUnit in pairs(Group.getByName(myReturn[returnKey].group ):getUnits()) do
					gMissionOptions.runningMissions[input.group].areas[i].spawnUnits[Unit.getName(myUnit)] = { name=Unit.getName(myUnit)}
				end 
				--if Debugging == true then printDebug ("EventHandler" , "Area " .. i .. " " .. myReturn[returnKey].group  .. " type " .. myGroupCountry , 10 ) end
			end
		end 
		gMissionOptions.runningMissions[input.group].areas[i].mission_range = myEnemyRange
	end 
end

function sayMissionPlan ( input )
	--if Debugging == true then printDebug ("EventHandler" , "Leader " .. gMissionOptions.runningMissions[input.group].followGroups[1].group , 10 ) end
	-- gMissionOptions.runningMissions[input.group].followGroups[1].group 
	local function myDelaySay ( input )
		input.sayThis.who = Unit.getName ( Group.getUnit( Group.getByName(gMissionOptions.runningMissions[input.sayThis.group].leader) , 1) )
		sayInMission (input.sayThis )
	end 
	local myUnitObject = Group.getByName(input.group):getUnit(1) 
	local myFirstDesc = gMissionOptions.runningMissions[input.group].areas[1].zoneAction
	if Object.inAir(myUnitObject) then 
		local myFirstArea = gMissionOptions.runningMissions[input.group].areas[1].position

		local myBearing = getBearingToPoint(input.unit , myFirstArea)
		
		local myDirection = PointLeftOrRight ( {unit=input.unit ,position=myFirstArea } )
		local mySpeed = getAirspeed ( input.unit )
		local myAppend = gMissionOptions.sayThis[input.language].continue .. " " .. myFirstDesc
		
		local myAngleToTarget = getAngleBetweenTwoPointsV2( centerUnitCoordinates ( input.unit ), myFirstArea) 
		local myHeading = doGetUnitHeading ({name=input.unit })
		local myHeadingDiff = math.abs( myAngleToTarget - myHeading.angle )
		local myWhatToSay = "turn"
		if myHeadingDiff < .25 then myWhatToSay = "fly"  myDirection = nil end 
		local mySayThis =  { what={[1]=myWhatToSay, [2]=myDirection, }  , group=input.group ,  speedAt=mySpeed, heading=myBearing, append=myAppend, duration=20 } 
		timer.scheduleFunction(myDelaySay, {sayThis=mySayThis}, timer.getTime() + 1 )   
		if Debugging == true then printDebug ("EventHandler" , "Difference " .. myHeadingDiff .. " " .. myWhatToSay, 10 ) end
	else
		local mySayThis =  { what={[1]="joinup", [2]="period",  [3]="mission_lead_to" }  , append=myFirstDesc, group=input.group , speedAt=myTaxiSpeed , duration=20 } 
		timer.scheduleFunction(myDelaySay, {sayThis=mySayThis}, timer.getTime() + 1 )   
	end
							
end 

-- TASKING 
function getTasking ( input )
	-- if Debugging == true then printDebug ("EventHandler" , "Get tasking for Sortie " .. input.sortie   , 10 ) end
	--gMissionOptions.runningMissions[input.group].tasks[input.sortie].noTargetsRemain = nil --WE START OUT WITH AI THINKING THERE ARE TARGETS
	local myTargets = gMissionOptions.runningMissions[input.group].tasks[input.sortie].targets
	--local myTargets = {[1] = "All",}
	local myNotTargets = gMissionOptions.runningMissions[input.group].tasks[input.sortie].noTargets
	-- local myNotTargets = {}
	local myTargeting  = {}
	local myTasks = ""
	local myPriority = 0 
	for key , value in ipairs(myTargets) do
		myTasks = myTasks .. " " .. value 
		local myLocalTargets = { [1]=value , }
		myTargeting[#myTargeting+1] = {["number"] = #myTargeting+1 ,["auto"] = true , ["enabled"] = true, ["id"] = 'EngageTargets', params = { maxDistEnabled = true, maxDist = 100000 ,targetTypes=myLocalTargets , noTargetTypes=myNotTargets, priority = myPriority , } }
		myPriority = myPriority + 1
	end 
	--if Debugging == true then printDebug ("EventHandler" , "Tasking for sortie " .. input.sortie  .. " " ..  myTasks , 10 ) end

	myTargeting[#myTargeting+1] = {["number"] = #myTargeting+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = AI.Option.Air.val.MISSILE_ATTACK.MAX_RANGE ,["name"] = AI.Option.Air.id.MISSILE_ATTACK, },},} } --ENGAGEMENT RANGE HALF_WAY_RMAX_NEZ
	myTargeting[#myTargeting+1] = {["number"] = #myTargeting+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = false ,["name"] = AI.Option.Air.id.RTB_ON_BINGO, },},} } --NO RTB BINGO
	myTargeting[#myTargeting+1] = {["number"] = #myTargeting+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.PROHIBIT_JETT, },},} } --NO JETTISON WHEN UNDER THREAT

														
	if input.chatter ~= nil then 				
		-- if Debugging == true then printDebug ("EventHandler" , "Start talking after new task " ..  input.sortie , 10 ) end
		myTargeting[#myTargeting+1]  = {["number"] = #myTargeting+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = false ,["name"] = AI.Option.Air.id.SILENCE , },},} } --NO RTB BINGO
	else
		myTargeting[#myTargeting+1]  = {["number"] = #myTargeting+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.SILENCE , },},} } --NO RTB BINGO
	end


	
	return myTargeting 
end

function groupHasLostTask ( input )
	
	if gMissionOptions.runningMissions[input.group].lostTasks == nil then 
		gMissionOptions.runningMissions[input.group].lostTasks = {}
	end
	
	if gMissionOptions.runningMissions[input.group].lostTasks[input.groups] ~= nil then 
		if (timer.getTime() - gMissionOptions.runningMissions[input.group].lostTasks[input.groups].timer ) > 20  then 
			--if Debugging == true then printDebug ( "EventHandler" , input.groups .. " " .. input.sortie .. " starting reissue " , 10 ) end
			local myTasks = ""
			for taskKey, taskValue in ipairs ( gMissionOptions.runningMissions[input.group].tasks[input.sortie].targets ) do
				myTasks = myTasks ..  " " .. taskValue 
			end
			
			if #gMissionOptions.runningMissions[input.group].tasks[input.sortie].targets > 1 then 
				table.remove(gMissionOptions.runningMissions[input.group].tasks[input.sortie].targets, 1)
				--if Debugging == true then printDebug ( "EventHandler" , input.groups .. " " .. input.sortie .. " has removed stale and reissued tasks " .. myTasks , 10 ) end
				unHoldGroup ({group=input.group, holdingGroup=input.sortie , chatter=false ,})


			else -- NO TARGETS LEFT	
				local myClosestAreaDistance = math.huge
				local myClosestAreaName
				local myClosestPostion = {}
				-- local myHoldingAlt = gMissionOptions.transitionAlt 
				local myHoldingAlt = gMissionOptions.runningMissions[input.group].tempTransitionAlt
				local myUnit = Group.getByName(input.groups):getUnit(1) 
				local myUnitName = Unit.getName ( myUnit )
				local myAreaKey = 1
				for areaKey , areaValue in pairs(gMissionOptions.runningMissions[input.group].areas) do 
					local myDistance = getDistanceBetweenUnitAndPoint( myUnitName, areaValue.position )	
					if myDistance < myClosestAreaDistance then 
						myClosestAreaDistance = myDistance
						myClosestAreaName = areaValue.zoneAction
						myClosestPostion = areaValue.position
						myHoldingAlt = areaValue.holdingAlt
						myAreaKey = areaKey
					end 
				end
				
				if gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition1 == nil then 
					local myAngle = math.random(1,6)
					gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition1 = getPointOnRadian ( { radius=gMissionOptions.holdingDistance , pos=myClosestPostion , angle = myAngle })
					gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition2 = getPointOnRadian ( { diameter=gMissionOptions.raceTrackDistance , pos=gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition1 , angle = myAngle }) 
					local myLocation1 = gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition1
					local myLocation2 = gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition2
				
					-- myLocation1.y = land.getHeight{x = myLocation1.x, y = myLocation1.z}
					-- trigger.action.smoke(myLocation1, 0 )
				
					-- myLocation2.y = land.getHeight{x = myLocation2.x, y = myLocation2.z}
					-- trigger.action.smoke(myLocation2, 1 )
				else
					-- if Debugging == true then printDebug ( "EventHandler" , myUnitName .. " Is holding at a position already known " , 10 ) end	
				end
				

				
				holdGroup ({	
					group=input.group , 
					alt=myHoldingAlt+1000, 
					position=gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition1 , 
					--racetrack_point=gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition2, 
					--speed=myHoldingSpeed , 
					chatter=true ,
					pealAway=true ,				
					holdingGroups = gMissionOptions.runningMissions[input.group].sorties[input.sortie] , 
					})
				--gMissionOptions.runningMissions[input.group].sorties[input.sortie].noTargetsRemain = true 
				if Debugging == true then printDebug ( "EventHandler" , input.groups .. " " .. input.sortie .. " is holding " .. myTasks , 10 ) end	
			end 
			
			--

										

			
			
			gMissionOptions.runningMissions[input.group].lostTasks[input.groups] = nil 
			
			
		end 
	else
		gMissionOptions.runningMissions[input.group].lostTasks[input.groups] = {timer=timer.getTime()}
		--if Debugging == true then printDebug ( "EventHandler" , input.groups .. " " .. input.sortie .. " start lost task timer" , 10 ) end
	end 
end 

-- EVENT LOOP
function eventLoopMission ( )
	-- if Debugging == true then printDebug ("EventHandler" , "Event Loop Mission"  , 10 ) end
	
	-- CHECK ON A SCHEDULE
	if (math.fmod (timer.getTime(), 1 )  < 1 ) and gMissionOptions.invasionTriggered == nil then 
		if timer.getTime() > 1  then 
			playerAirborne ()
			
		end -- SO IT DELAYS A FEW SECONDS BEFORE IT SPAWNS THEM
	end
	if math.fmod (timer.getTime(), gMissionOptions.difficulties.axis_artillery_spot_rate )  < 1 then doArtilleryCheck ( input ) end 
	
	if ( math.fmod (timer.getTime(), 10 )  < 1 ) and gMissionOptions.persistenceVariables.ammoDumpSeized == false then ammoDumpOverrun ( input ) end 
	
	if ( math.fmod (timer.getTime(), 1 )  < 1 ) and gMissionOptions.persistenceVariables.airfieldSeized == false then airFieldSized ( input ) end 

	
	
end	

function activeZoneEventOld ( input )
			
	local myEnemyCount = 0 
	for objectKey , objectValue in pairs(input.objects) do
		input.unit = Unit.getByName(objectValue)
		
		
		if input.unit ~= nil then 
			if Object.getCategory(input.unit) == Object.Category.UNIT then

				if Unit.getCoalition(input.unit) == gMissionOptions.runningMissions[input.mission.group].enemyCoalition and Unit.isActive(input.unit)
					then
					--if Debugging == true then printDebug ("EventHandler" , "Unit enemy " .. Object.getTypeName ( input.unit ) .. " " .. Group.getName (Unit.getGroup(input.unit)) , 10 ) end 
					myEnemyCount = myEnemyCount + 1 

					local myDistance = getDistanceBetweenUnitAndPoint( objectValue, gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnPosition )
					--if Debugging == true then printDebug ("EventHandler" , "Distance "  .. myDistance .. " " .. objectValue , 1.1 ) end
				
					-- local myGroupName = Group.getName ( Unit.getGroup(input.unit) )
					-- local _controller = Group.getController(Unit.getGroup(input.unit)) 
					-- local myHasTask = _controller.hasTask(_controller )
					-- if ( myHasTask  ~= true ) then 
						-- if Debugging == true then printDebug ("EventHandler" , "Lost Task "  ..  objectValue , 10 ) end
					-- end 
					if ( myDistance <= 800 and gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue].inbound == nil)  then 
						if Unit.getByName ( gMissionOptions.runningMissions[input.mission.group].areas[input.key].targetName ) ~= nil then 
							if Debugging == true then printDebug ("EventHandler" , "Issue line up command to group "  , 10 ) end
							local myGroupName = Group.getName ( Unit.getGroup(input.unit) )
							local myFriendlyPos = centerUnitCoordinates (gMissionOptions.runningMissions[input.mission.group].areas[input.key].targetName)
							local myRoute = { }
							myRoute[#myRoute+1] = {type = "Turning Point" , action = "Fly Over Point" , pos=myFriendlyPos , alt=0 , altType="RADIO" , speed=gMissionOptions.enemyTopSpeed }
							local myInfo = { group = myGroupName , route=myRoute , push=true } 
							timer.scheduleFunction(ResetGroupController, myGroupName , timer.getTime() + .2 )   			
							timer.scheduleFunction(doScheduleFlyRoute, myInfo, timer.getTime() + .3 )
							gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue].inbound = true
						end 
					end 
					if myDistance <= 90 then 
						if getMSLfeet(objectValue) <=160 then 
							if Unit.getByName ( gMissionOptions.runningMissions[input.mission.group].areas[input.key].targetName ) ~= nil and Unit.getByName(objectValue) ~= nil then 
								destroyUnit( {unit=gMissionOptions.runningMissions[input.mission.group].areas[input.key].targetName, power=200 } )
								destroyUnit( {unit=objectValue, power=75 } )
							end 
							--if Debugging == true then printDebug ("EventHandler" , "Boom"  , 10 ) end
						end
					end 
					
					if myDistance > 7000 then
						if gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue] ~= nil then
							local _controller = Group.getController(Unit.getGroup(input.unit)) 
							local myHasTask = _controller.hasTask(_controller )
							if ( myHasTask  ~= true ) and gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue].destroy == nil then 
								if Debugging == true then printDebug ("EventHandler" , "Issue destroy up command to group "  , 10 ) end
								-- local myGroupName = Group.getName ( Unit.getGroup(input.unit) )
								-- local myFriendlyPos = centerUnitCoordinates (gMissionOptions.runningMissions[input.mission.group].areas[input.key].targetName)
								-- local myRoute = { [1]={type = "Turning Point" , action = "Fly Over Point" , pos=myFriendlyPos , alt=0 , altType="RADIO" , speed=gMissionOptions.enemyTopSpeed } }
								-- local myInfo = { group = myGroupName , route=myRoute , push=true } 
								-- timer.scheduleFunction(ResetGroupController, myGroupName , timer.getTime() + .2 )   			
								-- timer.scheduleFunction(doScheduleFlyRoute, myInfo, timer.getTime() + .3 )
								destroyUnit( {unit=objectValue, power=7} )
								gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue].destroy = true
							end 
						end	
					end
						-- if gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue] ~= nil then 
							-- if gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue].inbound ~= nil  then
								-- destroyUnit( {unit=objectValue, power=10 } )
								-- gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnUnits[objectValue].inbound = nil 
							-- end 
						-- end
					-- end 
					
				elseif Unit.getCoalition(input.unit) == gMissionOptions.runningMissions[input.mission.group].friendlyCoalition and input.mission.alerted == false then 
					-- if Debugging == true then printDebug ("EventHandler" , "Here" , 10 ) end
					if Group.getName(Unit.getGroup(input.unit)) == gMissionOptions.runningMissions[input.mission.group].leader then 
						if gMissionOptions.runningMissions[input.mission.group].activeArea == #gMissionOptions.runningMissions[input.mission.group].areas then 
							RTB_eventLoop ( input )	
							if Debugging == true then printDebug ("EventHandler" , "RTB Event Loop" , 10 ) end
						else
							gMissionOptions.runningMissions[input.mission.group].areas[input.key].radius = gMissionOptions.runningMissions[input.mission.group].areas[input.key].mission_range
							if gMissionOptions.runningMissions[input.mission.group].activeArea < #gMissionOptions.runningMissions[input.mission.group].areas then --IF TOO CLOSE TO RTB WILL FIRE BEFORE NOENEMY REMAINING
								doFriendlyDetectedZone1 ( input )
							end 
						end 
					end 
					-- 		
				else
					-- if Debugging == true then printDebug ("EventHandler" , "Unit neutral " .. Object.getTypeName ( input.unit )  , 10 ) end
				end 
			end 
		end 
	end
	if myEnemyCount == 0 and input.mission.alerted == true then 
		noEnemyRemaining( input )
	end

end

function RTB_eventLoop ( input )
	-- if Debugging == true then printDebug ("EventHandler" , "In RTB Loop Objects: " .. #input.objects  , 10 ) end 

	for objectKey , objectValue in pairs(input.objects) do
		input.unit = Unit.getByName(objectValue)
		if input.unit ~= nil then
			if Object.getCategory(input.unit) == Object.Category.UNIT then
				if gMissionOptions.runningMissions[input.mission.group] ~= nil then 
					if Group.getName(Unit.getGroup(input.unit)) == gMissionOptions.runningMissions[input.mission.group].leader then 
						local myAirport = findClosestAirbase ({group=gMissionOptions.runningMissions[input.mission.group].leader ,coalition=gMissionOptions.runningMissions[input.mission.group].friendlyCoalition })
						for landingKey , landingGroup in pairs(gMissionOptions.friendlyGroups) do
							if Debugging == true then printDebug ("EventHandler" , "Land at base " ..  input.mission.group .. " " .. myAirport.id .. " " .. landingGroup , 10 ) end  
							landAtAirbase({group=input.mission.group, airbase=myAirport.id,	landingGroup=landingGroup })
						end
						local myLeadUnit = Group.getByName(gMissionOptions.runningMissions[input.mission.group].leader):getUnit(1)
						local myLeaderName = Unit.getName(myLeadUnit)
						timer.scheduleFunction(sayInMission, { what={[1]="mission_completed" , [2]="period" , [3]="land" } , who=myLeaderName, append= myAirport.name, group=input.mission.group, duration=20 } , timer.getTime() + 2 )
						gMissionOptions.runningMissions[input.mission.group].areas[input.key].objectiveComplete = true
						gMissionOptions.runningMissions[input.mission.group] = nil
						reloadAllMenus ( input )
					end
				end 
			end 
		end 
	end
	--if Debugging == true then printDebug ("EventHandler" , "Sorties"  , 10 ) end 
	--deReference ( gMissionOptions.runningMissions[input.mission.group].sorties )
end 

function doFriendlyDetectedZone1 ( input ) 
	gMissionOptions.runningMissions[input.mission.group].following = nil
		
	local myLeadGroupCount = #gMissionOptions.runningMissions[input.mission.group].sorties[gMissionOptions.runningMissions[input.mission.group].leadSortie]

	local myCountem = 0
	
	for i = #gMissionOptions.runningMissions[input.mission.group].followGroups, 1, -1 do
		
		local myGroupName = gMissionOptions.runningMissions[input.mission.group].followGroups[i].group
		local mySortie = gMissionOptions.runningMissions[input.mission.group].followGroups[i].sortie
		local myUnit = Group.getByName(myGroupName):getUnit(1)
		local myUnitType = Unit.getTypeName(myUnit)
		local myKey = string.upper(myUnitType:gsub('[%p%c%s]', '') )
		local myUnitName = Unit.getName(myUnit) 
		local myPosition = centerUnitCoordinates(myUnitName)
		local myHeading = doGetUnitHeading ({name=myUnitName})
		local myBehindPosition = getPointOnRadian ( { diameter=gMissionOptions.holdingDistance/2 , pos=myPosition , angle = myHeading.angle+math.pi })
		local mySpeed = gMissionOptions.topSpeed
		
		-- CALCULATE WHICH GROUP SHOULD GET FIRST RUN IN
		local myCounter = gMissionOptions.runningMissions[input.mission.group].activeArea * gMissionOptions.friendlySortieGroupCount 
		-- IF GROUPS HAVE BEEN LOST ADJUST FOR LOSSES BY SENDING THE LEADER IN FIRST
		if #gMissionOptions.runningMissions[input.mission.group].followGroups < myCounter then myCounter = myLeadGroupCount end 
		
		if (i <= myCounter - gMissionOptions.friendlySortieGroupCount ) or (i > myCounter )  then 

			--if Debugging == true then printDebug ("EventHandler" , "Holding " .. myUnitName .. " sortie " .. mySortie .. " counter " .. myCounter .. " i " .. i  , 10 ) end 
			local myBehindPosition = getPointOnRadian ( { diameter=gMissionOptions.holdingDistance/2 , pos=myPosition , angle = myHeading.angle-math.pi  })
			local myHolding = {	
					group=input.mission.group , 
					alt=getMSLfeet(myUnitName) + (50 * i ), 
					position=myBehindPosition , 
					--racetrack_point=gMissionOptions.runningMissions[input.group].areas[myAreaKey].holdingPosition2, 
					speed=mySpeed , 
					chatter=false ,
					pealAway=true ,				
					holdingGroups = gMissionOptions.runningMissions[input.mission.group].sorties[mySortie]  , 
					}
			--holdGroup ( myHolding )
			local myHoldDelay = (gMissionOptions.holdingDelay * myCountem ) + 2 
			myCountem = myCountem + 1 
			local myInboundDelay = myHoldDelay + (gMissionOptions.spacingDelay * myCountem ) 
			

			timer.scheduleFunction(holdGroup, myHolding, timer.getTime()+ myHoldDelay  )   
			timer.scheduleFunction(unHoldGroup, {group=input.mission.group, holdingGroup=mySortie , chatter=true ,}, timer.getTime()+ myInboundDelay )  
		else
			--if Debugging == true then printDebug ("EventHandler" , "Attacking " .. myUnitName .. " sortie " .. mySortie .. " i " .. i  , 10 ) end 
			--unHoldGroup ({group=input.mission.group, holdingGroup=gMissionOptions.runningMissions[input.mission.group].followGroups[i].sorties[mySortie] , chatter=true ,})
			unHoldGroup ({group=input.mission.group, holdingGroup=mySortie , chatter=false ,})
		end 
	end

	
	gMissionOptions.runningMissions[input.mission.group].areas[input.key].alerted = true
	gMissionOptions.runningMissions[input.mission.group].areas[input.key].alerted_time = timer.getTime()


	for spawnKey , spawnValue in ipairs ( gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnGroups ) do 
		--if Debugging == true then printDebug ("EventHandler" , "Late Activate " .. spawnValue.group .. " " .. spawnValue.type , 10 ) end 
		local myGroup = Group.getByName(spawnValue.group)
		trigger.action.activateGroup(myGroup)
		gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnGroups[spawnKey].alerted_time = timer.getTime()
		gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnGroups[spawnKey].spawn_life = Group.getUnit(myGroup, 1):getLife()
	end 
	
	local myUnitFrom = Group.getByName(gMissionOptions.runningMissions[input.mission.group].leader):getUnit(1)
	local myLeaderName = Unit.getName ( myUnitFrom )
	local myUnitTo =  Group.getByName(gMissionOptions.runningMissions[input.mission.group].areas[input.key].spawnGroups[1].group):getUnit(1)
	local myEnemyUnitName = Unit.getName(myUnitTo)
	local myUnitType = Unit.getTypeName(myUnitTo)
	local myGroupBearing = getBearingToUnit(myLeaderName, myEnemyUnitName)
	local myDistance = getDistanceBetweenUnits( myLeaderName, myEnemyUnitName )	
	local myClockPosition = getClockBearingUnitToUnit ( myLeaderName , myEnemyUnitName )
	
	if Targets[string.upper(myUnitType:gsub('[%p%c%s]', '') )].typename ~= nil then myUnitType = Targets[string.upper(myUnitType:gsub('[%p%c%s]', '') )].typename end

	
	
	timer.scheduleFunction(sayInMission, { what={[1]="enemy_contact", [2]="type" } , type=myUnitType, who=myLeaderName,  group=input.mission.group, atdistance=myDistance, oclock=myClockPosition, duration=20 } , timer.getTime() + 2 ) 
	
	-- if Debugging == true then printDebug ("EventHandler" , "Friendly " .. Object.getTypeName ( input.unit ) .. " attacking " .. input.mission.zoneAction .." with player group " .. gMissionOptions.runningMissions[input.mission.group].group , 10 ) end 
	
end 

function noEnemyRemaining( input )
	
	if timer.getTime() - gMissionOptions.runningMissions[input.mission.group].areas[input.key].alerted_time > 5 then 
			local myEgressTimer = 0 -- 10 ;

			gMissionOptions.runningMissions[input.mission.group].areas[input.key].objectiveComplete = true
				
			local myLeaderUnit = Unit.getName( Group.getByName(gMissionOptions.runningMissions[input.mission.group].leader):getUnit(1))
			local myLeaderPosition = centerUnitCoordinates ( myLeaderUnit )
			local myFriendlyAirport = findClosestAirbase ({position=myLeaderPosition ,coalition=gMissionOptions.runningMissions[input.mission.group].friendlyCoalition , landonly=true  })
			local myNextAreaPoint = myFriendlyAirport.point
			

			if #gMissionOptions.runningMissions[input.mission.group].areas > input.key then --THERE IS ANOTHER AREA AVALIABLE
				local myNextAreaName = gMissionOptions.runningMissions[input.mission.group].areas[input.key+1].zoneAction
				if myNextAreaName ~= gMissionOptions.RTB then 
					myNextAreaPoint = gMissionOptions.runningMissions[input.mission.group].areas[input.key+1].position
					--if Debugging == true then printDebug ("EventHandler" , "There are no enemy remaining heading towards next objective " .. myNextAreaName .. " " .. input.key , 10 ) end
				else
					gMissionOptions.runningMissions[input.mission.group].areas[input.key+1].position = myNextAreaPoint
					if Debugging == true then printDebug ("EventHandler" , "RTB show score" , 10 ) end
				end 
				
				gMissionOptions.runningMissions[input.mission.group].areas[input.key+1].activated = true 
				gMissionOptions.runningMissions[input.mission.group].activeArea = input.key+1
				
				gMissionOptions.runningMissions[input.mission.group].position = myNextAreaPoint
				-- RESET HOLDING 
				resetHoldingParameters ( {group=input.mission.group} )
				-- BUILD THE ROUTE
				local myRoute = {}
				local myTransitionAlt = gMissionOptions.runningMissions[input.mission.group].transitionAlt
				local mySpeed = gMissionOptions.runningMissions[input.mission.group].humanSpeed
				myRoute[#myRoute+1] = { type = "Turning Point" , action = "Fly Over Point" , pos=myNextAreaPoint , alt=myTransitionAlt , altType="BARO" , speed=mySpeed }
				local myTasking = getTasking ( {group=input.mission.group, chatter=true, sortie=gMissionOptions.runningMissions[input.mission.group].leadSortie , } )
				local myInfo = { group = gMissionOptions.runningMissions[input.mission.group].leader , route=myRoute , tasks=myTasking , push=true } 
				timer.scheduleFunction(ResetGroupController, gMissionOptions.runningMissions[input.mission.group].leader, timer.getTime()+ myEgressTimer + 0.1 )   			
				timer.scheduleFunction(doScheduleFlyRoute, myInfo, timer.getTime() + myEgressTimer + 0.2 )
				timer.scheduleFunction(followGroup, {group=input.mission.group}, timer.getTime() + myEgressTimer + 0.3 )
				-- RESET THE TARGET TASKS
				for count = 1, #gMissionOptions.friendlySortie do
					gMissionOptions.runningMissions[input.mission.group].tasks[gMissionOptions.friendlySortie[count].sortie].targets = {}
					for targetKey, targetValue in ipairs (gMissionOptions.friendlySortie[count].targetTypes) do
						gMissionOptions.runningMissions[input.mission.group].tasks[gMissionOptions.friendlySortie[count].sortie].targets[targetKey] = targetValue
					end 
				end

				timer.scheduleFunction(sayInMission, { what={[1]="enemy_eliminated", [2]="period", [3]="closeto" } , who=myLeaderUnit, clearview=false, distance=gMissionOptions.holdRange, group=input.mission.group, duration=20 } , timer.getTime() + 1 ) 
				
				if gMissionOptions.runningMissions[input.mission.group].activeArea == #gMissionOptions.runningMissions[input.mission.group].areas then
					timer.scheduleFunction( doScore , {group=input.mission.group} , timer.getTime() + 1.5 )
					gMissionOptions.runningMissions[input.mission.group].showscore = true
					doRadioCommand ()
				end 
				--gMissionOptions.runningMissions[input.mission.group] = nil 
			end 
	end 

	

end  	

function demoAircraftSpawn( input )
	local myTankerAlt = gMissionOptions.transitionAlt
	local mySpawnFrom = "TakeOffParkingHot"
	--input.spawnPosition = centerUnitCoordinates ( input.unit )
	local myAirport = findClosestAirbase ({position=input.spawnPosition ,coalition=input.friendlycoa })
	local myTankerKey = string.upper(AircraftType[gPlayerGroups[input.group].key].tanker:gsub('[%p%c%s]', '') )
	
	-- DID THE UNIT THAT CALLED IT AIRBORNE
	if Object.inAir(Unit.getByName(input.unit) ) == true then
			myTankerAlt = getMSLfeet(input.unit) + 200
			mySpawnFrom = "Airborne"
	end 
	
	-- GET A SPEED --
	if gRefuelSpeeds[AircraftType[gPlayerGroups[input.group].key].type] ~= nil then 
		myTankerSpeed = gRefuelSpeeds[AircraftType[gPlayerGroups[input.group].key].type].speed 
	end 
	local myRefuelSpeed = myTankerSpeed + ((myTankerSpeed * 0.0175 ) * (myTankerAlt/1000 ))-- ADJUST IT FOR ALT
	
	-- IF YOU JUST WANT TO FLY SOMEPLACE DEFINE IT
	local myStartingPosition = getPointOnRadian ( { diameter=1000 , pos=input.spawnPosition , angle = input.heading.angle })
	local myMoveToPosition = getPointOnRadian ( { diameter=10000 , pos=input.spawnPosition , angle = input.heading.angle })
	local myRaceTrackPosition = getPointOnRadian ( { diameter=20000 , pos=input.spawnPosition , angle = input.heading.angle })
	
	-- TASKS ARE DEFINED AND USED IN THE myAircraft TABLE
	
	local myTasks = { }
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = false, ["enabled"] = true, ["id"] = "WrappedAction", params = { ["action"] = {["id"] = "Option",["params"] = {["variantIndex"] = 1,["name"] = AI.Option.Air.id.FORMATION,["formationIndex"] = 14, ["value"] = gFormationType.WWIIBomberOpen, },},} }
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true,  ["enabled"] = true, ["id"] = "Tanker", ["params"] =  { } }
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = false, ["enabled"] = true, ["id"] = "WrappedAction",["params"] = {["action"] = {["id"] = "SetImmortal",["params"] = {["value"] = true,},},},}
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = false, ["enabled"] = true, ["id"] = "WrappedAction",["params"] = {["action"] = {["id"] = "SetInvisible",["params"] = {["value"] = true,},},},} 
	-- myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = false ,["name"] = AI.Option.Air.id.RTB_ON_BINGO, },},} } --NO RTB BINGO
	-- myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.PROHIBIT_JETT, },},} } --NO JETTISON WHEN UNDER THREAT
	-- myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = AI.Option.Air.val.MISSILE_ATTACK.MAX_RANGE ,["name"] = AI.Option.Air.id.MISSILE_ATTACK, },},} } --ENGAGEMENT RANGE MAX_RANGE  HALF_WAY_RMAX_NEZ
	-- myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.SILENCE , },},} } --NO TALKING

	-- OR IF YOU WANT A SERIES OF WAYPOINTS AND TASKS UNCOMMENT IT IN THE myAircraft table
	local myOrbitTask = {[1] = {["enabled"] = true,["auto"] = false,["id"] = "Orbit",["number"] = 1,["params"] = {["altitude"] = myTankerAlt/FEET,["pattern"] = "Race-Track",["point"] = {x=myMoveToPosition.x , y=myMoveToPosition.z },["point2"] = {x=myRaceTrackPosition.x , y=myRaceTrackPosition.z },["speed"] = myRefuelSpeed/KNOTS,},},}
	local myWaypoints = {}
	myWaypoints[#myWaypoints+1] = {  action = "Fly Over Point" , pos=myMoveToPosition , alt = myTankerAlt  , altType="BARO" , speed =myRefuelSpeed }
	myWaypoints[#myWaypoints+1] = {  task = myOrbitTask , action = "Fly Over Point" , pos=myMoveToPosition , alt = myTankerAlt  , altType="BARO" , speed =myRefuelSpeed }
	--deReference ( input )
		
	local myAircraft   = {
							group = input.group , 
							groupName = "Tanker" , -- LEAVE BLANK AND USES CALLING GROUP FOR START OF NAME
							groupCount = 1 ,-- or use defined gMissionOptions.friendlySortieGroupCount , -- NUMBER OF GROUPS SPAWNED
							unitCount = 1 ,-- or used defined gMissionOptions.friendlySortieUnitCount , -- NUMBER OF UNITS SPAWNED
							unitDistance = 10 ,--POTENTIAL RANDOMNESS OF UNITS WILL CALCUATE AS (math.random(5,10)*input.unitDistance) 
							groupDistance = 10 ,--100 -- POTENTIAL RANDOMNESS OF GROUPS POSITION WILL CALCUATE AS (math.random(5,10)*input.groupDistance) 
							speedmodifier = 1 ,-- PERCENT OF HOW MUCH TO MODIFY SPEED FROM TARGET TABLE DEFAULT 0 STOP TO 1 FULL SPEED OR REMOVE FOR DEFAULT
							task = "Refueling" ,
							skill = gPlayerGroups[input.group].preferences.friendlySkill , -- Average Good High Excellent
							type = Targets[myTankerKey].type , -- THIS TYPE MATCHES THE PLAYER TYPE THAT SPAWNED IT
							livery = Targets[myTankerKey].blivery ,-- AIRCRAFT LIVERY COMES FROM GLOBAL OBJECTS
							pylons = Targets[myTankerKey].gpylons ,-- AIRCRAFT PYLONS COMES FROM GLOBAL OBJECTS
							--- ADDED
							action = "Fly Over Point" ,
							spawnFrom = mySpawnFrom ,
							spawnPosition = myStartingPosition , 
							waypoints = myWaypoints , 
							--moveToPosition = myMoveToPosition , 
							spawncountry =input.friendlycountryid, --THIS IS THE COUNTRY THE GROUP WILL SPAWN INTO
							heading = input.heading , -- THIS NEEDS TO BE THE HEADING TABLE
							speed = myRefuelSpeed ,
							airfield = myAirport.id ,
							alt =  myTankerAlt,
							tasks = myTasks ,
							--lateActivation = true , -- false or leave blank for true
			}
		
	
	local myReturn = mySpawn ( myAircraft  )
	
end 

function demoSpawnAircraft ( input )

	local myAirport = findClosestAirbase ({position=input.position ,coalition=input.friendlycoa })
	input.moveToPosition = getPointOnRadian ( { diameter=5000 , pos=input.position , angle = input.heading.angle })
	--deReference ( input )
	
	local myTasks = {}
	if input.formation ~= nil then 
		myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = false, ["enabled"] = true, ["id"] = "WrappedAction", params = { ["action"] = {["id"] = "Option",["params"] = {["variantIndex"] = 1,["name"] = AI.Option.Air.id.FORMATION,["formationIndex"] = 14, ["value"] = input.formation , },},} }
	end 
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = false ,["name"] = AI.Option.Air.id.RTB_ON_BINGO, },},} } --NO RTB BINGO
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.PROHIBIT_JETT, },},} } --NO JETTISON WHEN UNDER THREAT
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = AI.Option.Air.val.MISSILE_ATTACK.MAX_RANGE ,["name"] = AI.Option.Air.id.MISSILE_ATTACK, },},} } --ENGAGEMENT RANGE MAX_RANGE  HALF_WAY_RMAX_NEZ
	myTasks[#myTasks+1] = {["number"] = #myTasks+1, ["auto"] = true , ["enabled"] = true, ["id"] = 'WrappedAction', params = { ["action"] = {["id"] = "Option",["params"] = {["value"] = true ,["name"] = AI.Option.Air.id.SILENCE , },},} } --NO TALKING

	
	local myDemo  = {
		group = input.group , 
		--groupName = gMissionOptions.friendlyGroups.F2, -- LEAVE BLANK AND USES CALLING GROUP FOR START OF NAME
		groupCount = 1 ,-- gMissionOptions.friendlySortieGroupCount , -- NUMBER OF GROUPS SPAWNED
		unitCount = 1 ,--gMissionOptions.friendlySortieUnitCount , -- NUMBER OF UNITS SPAWNED
		unitDistance = 100 ,-- WILL CALCUATE AS (math.random(5,10)*input.unitDistance) 
		groupDistance = 100 ,--100 -- WILL CALCUATE AS (math.random(5,10)*input.groupDistance) 
		speedmodifier = 1 ,-- PERCENT OF HOW MUCH TO MODIFY SPEED FROM TARGET TABLE DEFAULT 0 STOP TO 1 FULL SPEED OR REMOVE FOR DEFAULT
		formation = gFormationType.WWIIFighterTight , 
		targetTypes = {} , --{[1] = "Ships" , [2] = "Unarmed vehicles" , [3]="All" ,  } ,
		noTargetTypes = {}, -- {[1] = "SAM SR", [2] = "SAM TR", [3] = "EWR", [4] = "AAA",} ,
		task = "Refueling" ,
		altMod = 50 , -- IF YOU WANT TO MODIFY UP OR DOWN THE HORIZONTIAL SPAWN LOCATION  FOR AIRBORNE SPAWN DEFAULT IS PLUS 100 FEET
		callsign = 4 , -- COLT
		skill = gPlayerGroups[input.group].preferences.friendlySkill , -- Average Good High Excellent
		type = "KC-135" , -- THIS TYPE MATCHES THE PLAYER TYPE THAT SPAWNED IT
		livery = Targets["KC135"].blivery ,-- AIRCRAFT LIVERY COMES FROM GLOBAL OBJECTS
		pylons = Targets["KC135"].gpylons ,-- AIRCRAFT PYLONS COMES FROM GLOBAL OBJECTS
		action = "Turning Point" ,
		spawnFrom = "TakeOffParkingHot" ,
		spawnPosition = input.position , 
		moveToPosition = input.moveToPosition , 
		spawncountry =input.friendlycountryid,
		heading = input.heading , -- THIS NEEDS TO BE THE HEADING TABLE
		speed = Targets["KC135"].speed/.70 ,
		skill = gPlayerGroups[input.group].preferences.friendlySkill ,
		airfield = myAirport.id ,
		alt = gMissionOptions.transitionAlt ,
	}
	
	local myReturn = mySpawn ( myDemo )
	
end 

function doScore ( input )
	
	local myValidPlayerGroups = validPlayerGroups (  )
	--local myLeaderUnitObject = myValidPlayerGroups[input.owningGroup]:getUnit(1)
	--local myUnits = myValidPlayerGroups(input.group):getUnits()
	local groupKey = input.group

	-- for playerKey, playerValue in pairs(myValidPlayerGroups) do
		-- if playerKey
	-- end 
			
			gPlayerGroups[input.group].score = {}
			local myPrint = ":\n\n"
			-- CALCUATE
			local myUnits = Group.getByName(groupKey):getUnits()
			local myLanguage = gPlayerGroups[groupKey].preferences.language 
			--for unitKey, unitValue in ipairs(Group.getByName(groupKey):getUnits()) do 
			for i=1,#myUnits do
				local myPlayerName = Unit.getPlayerName(myUnits[i])
				if myPlayerName ~= nil then 
					local myStartingCount = 0
					local myEndingCount = 0
					local myRoundsShot = 0 -- TO AVOID A DIVIDE BY 0 ERROR
					local myPlayerKills = 0
					local myPlayerHits = 0
					local myPlayerShots = 0
					local myUnitName = Unit.getName ( myUnits[i] )
					local myAmmoTable = doCheckUnitAmmo (myUnitName)
					-- HOW MUCH AMMO PLAYER START WITH
					for startingKey , startingValue in pairs(gPlayerUnits[myUnitName].ammo) do
						myStartingCount = myStartingCount + startingValue.count
					end 
					-- HOW MUCH AMMO PLAYER REMAINING
					for endingKey , endingValue in ipairs ( myAmmoTable ) do
						myEndingCount = myEndingCount + endingValue.count
					end 
					myRoundsShot = myStartingCount - myEndingCount
					
					if gScore.units[myUnitName] ~= nil then
						if gScore.units[myUnitName].kills ~= nil then myPlayerKills = gScore.units[myUnitName].kills end
						if gScore.units[myUnitName].hits ~= nil then myPlayerHits = gScore.units[myUnitName].hits end
						if gScore.units[myUnitName].shots ~= nil then myPlayerShots = gScore.units[myUnitName].shots end
					else
						--if Debugging == true then printDebug ("EventHandler" , "Unit has no hits "  , 5 ) end
					end
					
					
					local myHitPercent = string.format("%.01f" ,(myPlayerHits/myRoundsShot)*100 ) 
					if myPlayerHits == 0 and myRoundsShot == 0 then myHitPercent = 0 end 
					
					-- local myHitPercent = string.format("%.01f" ,(myPlayerHits/myPlayerShots)*100 ) 
					-- if myPlayerHits == 0 and myPlayerShots == 0 then myHitPercent = 0 end 
					
					--if Debugging == true then printDebug ("EventHandler" , "Rounds: " .. myStartingCount ..  " Shot: " ..  myRoundsShot .. " Hit Percent: " .. myHitPercent ..  " Kills: " .. myPlayerKills, 5 ) end
					
					
					myPrint= myPrint .. myPlayerName .. " - " .. gMissionOptions.sayThis[myLanguage].kills:gsub("^%l", string.upper) .. ": " .. myPlayerKills .. "  " .. gMissionOptions.sayThis[myLanguage].hit:gsub("^%l", string.upper) .. " " ..  
					gMissionOptions.sayThis[myLanguage].percent:gsub("^%l", string.upper)  .. ": " .. myHitPercent
					if i ~= #myUnits then myPrint = myPrint .. "\n" end 
					--timer.scheduleFunction(sayInMission, { what={[1]="score",} , append=myPrint, group=input.group, duration=20 } , timer.getTime() + 1 )
				end 
			end
			
			local myLosses = 0 
			for targetKey, targetValue in ipairs(gMissionOptions.runningMissions[groupKey].areas) do
				--if Debugging == true then printDebug ("EventHandler" ,targetValue.targetName, 5 ) end
				if targetValue.targetName ~= nil then
					if Unit.getByName(targetValue.targetName) == nil then myLosses = myLosses + 1 end 
				end 
			end 
			
			myPrint = myPrint .. "\n\n" .. gMissionOptions.sayThis[myLanguage].losses:gsub("^%l", string.upper) .. ":\n\n" .. Targets.USSSAMUELCHASE.typename .. " - " .. myLosses
			timer.scheduleFunction(sayInMission, { what={[1]="score",} , append=myPrint, group=input.group, duration=20 } , timer.getTime() + 1 )
end

function getAllZones ( input )

	if env.mission.triggers and env.mission.triggers.zones then

		gMissionOptions.zones = {}
				
		for type_ind, type_data in pairs(input.prefix) do
			gMissionOptions.zones[type_data]  = {}
		end 
		
		for zone_ind, zone_data in pairs(env.mission.triggers.zones) do
			local myZoneSplit = zone_data.name:doDelimiterSplit(input.delimiter)
			local myZoneType = myZoneSplit[1]
			local myZoneNumber = myZoneSplit[2]
			--if Debugging == true then printDebug ("EventHandler" ,myZoneType .. " " .. myZoneNumber , 10 ) end
			
			if gMissionOptions.zones[myZoneType] ~= nil then
				-- --gMissionOptions.zones[myZoneType] = {} end
				-- -- gMissionOptions.zones[myZoneType][#gMissionOptions.zones[myZoneType]+1] = { x=zone_data.x , z=zone_data.y , name=zone_data.name }
				gMissionOptions.zones[myZoneType][tonumber (myZoneNumber)] = { x=zone_data.x , z=zone_data.y , name=zone_data.name }
			end
		end
	end
	

	if gDev	== true and gMissionOptions.zones ~= nil then 
		for zone_ind, zone_data in pairs(gMissionOptions.zones ) do
			local myTable = "\ngMissionOptions.zones[\"".. zone_ind .. "\"] = {\n"
			-- if Debugging == true then printDebug ("EventHandler" ,"gMissionOptions.zones[\"".. zone_ind .. "\"] = { "  , 1.1 ) end
			for point_ind, point_data in ipairs(zone_data ) do
				local myStart = "[" .. point_ind .. "] = {"
				local myName = " name=\"" .. point_data.name .. "\","
				local myAxisX = " x=\"" ..  point_data.x .. "\","
				local myAxisZ = " z=\"" ..  point_data.z .. "\","
				local myEnd = "},\n"
				myTable = myTable ..myStart .. myName .. myAxisX .. myAxisZ .. myEnd
				-- if Debugging == true then printDebug ("EventHandler" ,"Points: " .. point_ind, 1.1 ) end
			end 
			local myEndTable = "}"
			if input.output ~= nil then 
				--if Debugging == true then printDebug ("EventHandler" , myTable  .. myEndTable , 1.1 ) end
			end 
		end
	
	end 
	
	gMissionOptions.zones["AAA"] = {
		[1] = { name="AAA_01", x="175192.35256236", z="92087.445998076",},
		[2] = { name="AAA_02", x="174121.25633809", z="93350.881348786",},
		[3] = { name="AAA_03_A", x="173854.20190673", z="90588.508189086",},
		[4] = { name="AAA_04_A", x="173025.62358841", z="91787.036578099",},
		[5] = { name="AAA_05", x="172405.70025024", z="89308.295628274",},
		[6] = { name="AAA_06", x="170887.92255545", z="91938.808790604",},
		[7] = { name="AAA_07_A", x="169826.40139314", z="90734.045993327",},
		[8] = { name="AAA_08_A", x="170144.16102986", z="87583.273489768",},
		[9] = { name="AAA_09_A", x="166858.73141071", z="92434.608754791",},
		[10] = { name="AAA_10_A", x="166507.86811231", z="88498.780259881",},
		[11] = { name="AAA_11", x="166525.73071631", z="94412.75477201",},
		[12] = { name="AAA_12_A", x="165161.53811345", z="91438.078496759",},
		[13] = { name="AAA_13", x="164055.79580496", z="93075.888626382",},
		[14] = { name="AAA_14", x="163408.91591882", z="90197.464661755",},
		[15] = { name="AAA_15", x="162863.389511", z="91206.042037205",},
		[16] = { name="AAA_16", x="159619.59340272", z="91552.285293494",},
	}

	gMissionOptions.zones["Airfield"] = {
	[1] = { name="Airfield_01", x="166224.44493663", z="88781.506661218",},
	}

	gMissionOptions.zones["Objective"] = {
	[1] = { name="Objective_01", x="159444.77962785", z="91249.607884375",},
	}

	gMissionOptions.zones["WhiteOne"] = {
	[1] = { name="WhiteOne_01", x="175469.22914756", z="90110.04316943",},
	}

	gMissionOptions.zones["LandingCraft"] = {
	[1] = { name="LandingCraft_01", x="176041.01701148", z="88551.390926147",},
	}

	gMissionOptions.zones["WhiteTwo"] = {
	[1] = { name="WhiteTwo_01", x="174879.26889493", z="89616.272360147",},
	}

	gMissionOptions.zones["AmmoDump"] = {
	[1] = { name="AmmoDump_01", x="164824.82824183", z="91372.892803392",},
	}

end

function doMissionLostUnitEvent (input)
	local myUnitTable = Unit.getByName(input.unit)
	--if Debugging == true then printDebug ("EventHandler" , "Mission Lost Unit Event " .. input.unit .. " " .. input.group , 10 ) end
	
	-- if 
	-- if Debugging == true then printDebug ("EventHandler" , "Do Persistence save " .. input.unit .. " " .. input.group , 10 ) end
	
	if gMissionOptions.persistence ~= nil then
			--if Debugging == true then printDebug ("EventHandler" , "Do Persistence save " .. input.unit .. " " .. input.group , 10 ) end
			--removeDestroyedUnit ( input )
			savePersistentState ( input )
	end 
end

function dynamicSpawns ( input )

	if input.enemycountryid == nil then input.enemycountryid = 81 end 
	if input.friendlycountryid == nil then input.friendlycountryid = 80 end 
	if input.friendlycoa == nil then input.friendlycoa = 2 end 
	if input.enemycoa == nil then input.enemycoa = 1 end 
	if input.group == nil then input.group = "Inf" end 
	if input.unitCount == nil then input.unitCount = 4 end 
	if input.action == nil then input.action = "On Road"  end
	
	local myAlliedInfantry = Targets.SOLDIERWWIIUS 
	local myAxisInfantry = Targets.SOLDIERMAUSER98
	local myAlliedTank = Targets.M4SHERMAN
	local myAxisTank = Targets.TETRARCH
	local myAlliedLST = Targets.LSTMK2
	local myAxisFlak = Targets.FLAK18
	local myAxisAAA = Targets.FLAK38
	gMissionOptions.axisArtillery =  Targets.LEFH1840105 --.type -- LEFH1840105 PAK40
	--gMissionOptions.axisArtillery =  Targets["2B11MORTAR"] --.type
	gMissionOptions.alliedTank = Targets.M4SHERMAN
	gMissionOptions.axisSupply =  Targets.BLITZ366700A
	gMissionOptions.command = Targets.SDKFZ7
	gMissionOptions.command = Targets.BLITZ366700A
	gMissionOptions.SupplyName = "SUPPLY_"
	
	local myAxisSupply = Targets.BLITZ366700A
	
	local myAlliedSpeed =  gMissionOptions.difficulties.allied_tank_speed 
	
	local mySpawns = {}
	
	-- local whiteOne = centerZoneCoordinates ( "WhiteOne_01" )
	local whiteOne = { x=gMissionOptions.zones["WhiteOne"][1].x , z=gMissionOptions.zones["WhiteOne"][1].z , }
	-- local whiteTwo = centerZoneCoordinates ( "WhiteTwo_01" )
	local whiteTwo = { x=gMissionOptions.zones["WhiteTwo"][1].x , z=gMissionOptions.zones["WhiteTwo"][1].z , }
	
	--local batteryOne = centerZoneCoordinates ( "FSB_01" )
	--local batteryTwo = centerZoneCoordinates ( "FSB_04" )
	-- local objective = centerZoneCoordinates ( "Objective_01" )
	local objective= { x=gMissionOptions.zones["Objective"][1].x , z=gMissionOptions.zones["WhiteTwo"][1].z , }
	
	--local ammoDump = centerZoneCoordinates ( "AmmoDump_01" )
	--local ammoDump= { x=gMissionOptions.zones["AmmoDump"][1].x , z=gMissionOptions.zones["AmmoDump"][1].z , }
	gMissionOptions.AxisSupplyLocation = { x=gMissionOptions.zones["AmmoDump"][1].x , z=gMissionOptions.zones["AmmoDump"][1].z , }
	
	--local airfield = centerZoneCoordinates ( "Airfield_01" )
	local airfield= { x=gMissionOptions.zones["Airfield"][1].x , z=gMissionOptions.zones["Airfield"][1].z , }
	
	-- local landingCraft = centerZoneCoordinates ( "LandingCraft_01" )
	local landingCraft= { x=gMissionOptions.zones["LandingCraft"][1].x , z=gMissionOptions.zones["LandingCraft"][1].z , }
	--local platoon = centerZoneCoordinates ( "Platoon_01" )
	
	-- local NF_ARMOR = randomZoneCoordinates ( "Platoon_01" )
	-- local NF_FLAK = randomZoneCoordinates ( "Platoon_01" )

	-- TASKING
	local myAxisTankTasks = { [1] ={["enabled"] = true,["auto"] = false,["id"] = "WrappedAction",["number"] = 1,["params"] ={["action"] ={["id"] = "Option",["params"] ={["name"] = 28,["value"] = 2,},},},},} -- DONT FIRE AT AIRCRAFT
	
	-- ALLIED TANKS
	local myWaypoints = {}
	gMissionOptions.invasionForce = { ["4thMarines1"]="4thMarines1", ["4thMarines2"]="4thMarines2", ["2ndMarines1"]="2ndMarines1", ["2ndMarines2"]="2ndMarines2", }
	myWaypoints[#myWaypoints+1] = { action = "On Road" , pos=gMissionOptions.AxisSupplyLocation , alt=0, altType="BARO" , speed = myAlliedSpeed, }
	myWaypoints[#myWaypoints+1] = { action = "On Road" , pos=objective , alt=0, altType="BARO" , speed = myAlliedSpeed, }
	mySpawns[#mySpawns+1] =  { action=input.action, specifyName=gMissionOptions.invasionForce["4thMarines1"] , unitCount=input.unitCount, spawnOnRoad=true, group=input.group , country=input.friendlycountryid, position=whiteOne, waypoints=myWaypoints, type=gMissionOptions.alliedTank.type ,speed=myAlliedSpeed, coaltion=input.friendlycoa } 
	mySpawns[#mySpawns+1] =  { action=input.action, specifyName=gMissionOptions.invasionForce["4thMarines2"] , unitCount=input.unitCount, spawnOnRoad=true, group=input.group , country=input.friendlycountryid, position=whiteOne, waypoints=myWaypoints, type=gMissionOptions.alliedTank.type ,speed=myAlliedSpeed-.30, coaltion=input.friendlycoa } 
	
	local myWaypoints = {}
	myWaypoints[#myWaypoints+1] = { action = "On Road" , pos=airfield , alt=0, altType="BARO" , speed = myAlliedSpeed, }
	myWaypoints[#myWaypoints+1] = { action = "On Road" , pos=objective , alt=0, altType="BARO" , speed = myAlliedSpeed, }
	mySpawns[#mySpawns+1] =  { action=input.action, specifyName=gMissionOptions.invasionForce["2ndMarines1"] , unitCount=input.unitCount, spawnOnRoad=true, group=input.group , country=input.friendlycountryid, position=whiteTwo, waypoints=myWaypoints, type=gMissionOptions.alliedTank.type ,speed=myAlliedSpeed, coaltion=input.friendlycoa } 
	mySpawns[#mySpawns+1] =  { action=input.action, specifyName=gMissionOptions.invasionForce["2ndMarines2"] , unitCount=input.unitCount, spawnOnRoad=true, group=input.group , country=input.friendlycountryid, position=whiteTwo, waypoints=myWaypoints, type=gMissionOptions.alliedTank.type ,speed=myAlliedSpeed-.25, coaltion=input.friendlycoa } 
	
	-- LST 
	mySpawns[#mySpawns+1] =  { action=input.action, heading=234, specifyName="TG 56" , unitCount=1, unitDistance=100, group=input.group , country=input.friendlycountryid, position=landingCraft, type=myAlliedLST.type ,speed=0, coaltion=input.friendlycoa } 
	
	-- ARTILLERY BATTERIES
	local myTanksRandom = loadRandomAngleTable ({slices=gMissionOptions.difficulties.axis_tank_count,} )
	for posKey=1, #gMissionOptions.zones["FSB"] do

		-- local posValue = centerZoneCoordinates ( "Battery_" .. posKey )
		local posValue = gMissionOptions.zones["FSB"][posKey]
		local myName = { artillery = "H" , flak = "F" , aaa="A", tank="T" }

		-- LOAD THE ARTILLERY
		local myReturnedAngles = loadRandomAngleTable ({slices=gMissionOptions.difficulties.axis_FSB_artillery_count,} )
		for Count=1, gMissionOptions.difficulties.axis_FSB_artillery_count do
			local myName = myName.artillery .. posKey .. Count
			local myAngleCount = math.random(1,#myReturnedAngles)
			local myDistance = math.random(5,7 ) * 10
			local myPoint = getPointOnRadian ( { radius=myDistance , pos=posValue , angle = myReturnedAngles[myAngleCount] })
			mySpawns[#mySpawns+1] =  { action=input.action, specifyName=myName , coldAtStart=false, unitCount=1, unitDistance=5 , group=input.group , country=input.enemycountryid, position=myPoint, moveToPosition=whiteOne,  type=gMissionOptions.axisArtillery.type  ,speed=0 ,  coaltion=input.enemycoa } 
			table.remove( myReturnedAngles , myAngleCount ) 
		end
		-- LOAD THE FLAK
		local myReturnedAngles = loadRandomAngleTable ({slices=gMissionOptions.difficulties.axis_FSB_AAA_count*2,} )
		for Count=1, gMissionOptions.difficulties.axis_FSB_AAA_count do
			local myName = myName.flak .. posKey .. Count
			local myAngleCount = math.random(1,#myReturnedAngles)
			local myDistance = math.random(10,13 ) * 10
			local myPoint = getPointOnRadian ( { radius=myDistance , pos=posValue , angle = myReturnedAngles[myAngleCount] })
			mySpawns[#mySpawns+1] =  { action=input.action, specifyName=myName , unitCount=1 , unitDistance=5 , group=input.group , coldAtStart=false, country=input.enemycountryid, position=myPoint, moveToPosition=myPoint, type=myAxisFlak.type ,speed=0,  coaltion=input.enemycoa }
			table.remove( myReturnedAngles , myAngleCount ) 
		end
		-- LOAD THE AAA
		for Count=1, gMissionOptions.difficulties.axis_FSB_AAA_count do			
			local myName = myName.aaa .. posKey .. Count
			local myAngleCount = math.random(1,#myReturnedAngles)
			local myDistance = math.random(10,13 ) * 10
			local myPoint = getPointOnRadian ( { radius=myDistance , pos=posValue , angle = myReturnedAngles[myAngleCount] })
			mySpawns[#mySpawns+1] =  { action=input.action, specifyName=myName , unitCount=1 , unitDistance=5 , group=input.group , coldAtStart=false, country=input.enemycountryid, position=myPoint, moveToPosition=myPoint, type=myAxisAAA.type ,speed=0,  coaltion=input.enemycoa }
			table.remove( myReturnedAngles , myAngleCount ) 
		end
		-- LOAD THE TANK
		if #myTanksRandom > 0 then 
			local myName = myName.tank .. posKey
			local myAngleCount = math.random(1,#myTanksRandom)
			local myDistance = math.random(13,15 ) * 10
			local myPoint = getPointOnRadian ( { radius=myDistance , pos=posValue , angle = myTanksRandom[myAngleCount] })
			mySpawns[#mySpawns+1] =  { action="On Road", specifyName=myName , unitCount=1, group=input.group , country=input.enemycountryid, position=myPoint, moveToPosition=myPoint, task=myAxisTankTasks,  type=myAxisTank.type ,speed=0,  coaltion=input.enemycoa } 
			table.remove( myTanksRandom , myAngleCount ) 
		end 
	end
	
	-- COMMAND POSTS
	--mySpawns[#mySpawns+1] =  { action="On Road", spawnOnRoad=true, specifyName="C1" , group="C1" , unitCount=1 , unitDistance=0 , country=input.enemycountryid, position=airfield, oveToPosition=airfield,  type=gMissionOptions.command.type ,speed=gMissionOptions.axisSupply.speed,  coaltion=myCoalition }


	-- for posKey=1, #gMissionOptions.zones["FSB"] do
	
	-- end 
	
	-- --SPAWNING THE AXIS TANKS
	-- for Count=1, gMissionOptions.difficulties.axis_tank_count do
		-- local myName = "T" .. posKey .. Count
		-- mySpawns[#mySpawns+1] =  { action=input.action, specifyName="My5" , unitCount=input.unitCount, group=input.group , spawnOnRoad=true, country=input.enemycountryid, position=batteryTwo, moveToPosition=whiteTwo, task=myAxisTankTasks,  type=myAxisTank.type ,speed=.01,  coaltion=input.enemycoa } 
		
	-- end
	--	mySpawns[#mySpawns+1] =  { action=input.action, specifyName="My5" , unitCount=input.unitCount, group=input.group , spawnOnRoad=true, country=input.enemycountryid, position=batteryTwo, moveToPosition=whiteTwo, task=myAxisTankTasks,  type=myAxisTank.type ,speed=.01,  coaltion=input.enemycoa } 
	--mySpawns[#mySpawns+1] =  { action=input.action, specifyName="NF-Armor" , spawnOnRoad=true, unitCount=input.unitCount , unitDistance=30, group=input.group , country=input.enemycountryid, position=NF_ARMOR, moveToPosition=platoon, task=myAxisTankTasks,  type=myAxisTank.type ,speed=.01,  coaltion=input.enemycoa }
	
	--SPAWNING THE AAA ONLY SITES
	for posKey=1,#gMissionOptions.zones["AAA"] do
		local myReturnedAngles = loadRandomAngleTable ({slices=4 ,} )
		local posValue = gMissionOptions.zones["AAA"][posKey]
		for Count=1, gMissionOptions.difficulties.axis_AAA_count do
			local myName = "AA" .. posKey .. Count
			local myAngleCount = math.random(1,#myReturnedAngles)
			local myAAAposition = getPointOnRadian ( { radius=30 , pos=posValue , angle = myReturnedAngles[myAngleCount]  })
			local myType = myAxisFlak.type
			-- if Count > 2 then  myType = myAxisAAA.type end 
			if ( Count==2 or Count==4 ) then myType = myAxisAAA.type end 
			mySpawns[#mySpawns+1] =  { action=input.action, specifyName=myName, unitCount=1 , unitDistance=0 , group=input.group , coldAtStart=false, country=input.enemycountryid, position=myAAAposition, moveToPosition=myAAAposition, type=myType ,speed=0,  coaltion=input.enemycoa }
			table.remove( myReturnedAngles , myAngleCount ) 
		end
	end 
	
	for i=1,#mySpawns do
		positionGround ( mySpawns[i] )
		if gMissionOptions.usePersistance ~= nil then
			if gMissionOptions.usePersistance == true then 
				--gMissionOptions.persistenceMove[mySpawns[i].specifyName] = {moveToPosition = {x=mySpawns[i].moveToPosition.x , y=mySpawns[i].moveToPosition.y ,z=mySpawns[i].moveToPosition.z ,} , speed=mySpawns[i].speed, unitDistance=mySpawns[i].unitDistance }
				gMissionOptions.persistenceMove[mySpawns[i].specifyName] = {position=mySpawns[i].position, moveToPosition = {x=mySpawns[i].moveToPosition.x , y=mySpawns[i].moveToPosition.y ,z=mySpawns[i].moveToPosition.z ,}, speed=mySpawns[i].speed, unitCount=mySpawns[i].unitCount, unitDistance=mySpawns[i].unitDistance ,type=mySpawns[i].type, action=mySpawns[i].action }
				if mySpawns[i].waypoints ~= nil then gMissionOptions.persistenceMove[mySpawns[i].specifyName].waypoints = mySpawns[i].waypoints end
			end
		end 
	end
	
	--if Debugging == true then printDebug ("EventHandler" , "Displaying Units From Default " , 10 ) end
	
end

function positionGround ( input )
	--if Debugging == true then printDebug ("EventHandler" , "Position Ground"  , 10 ) end
	
	if input.groupCount == nil then input.groupCount = 1 end 
	if input.unitCount == nil then input.unitCount = 1 end 
	if input.unitDistance == nil then input.unitDistance = 20 end 
	if input.groupDistance == nil then input.groupDistance = 0 end 
	if input.groupName == nil then input.groupName = input.group end 
	if input.moveToPosition == nil then input.moveToPosition = input.position end 


	local myGround = { 
						-- tasks = myTargeting ,
						moveToPosition = input.moveToPosition ,
						spawnPosition = input.position ,
						type=input.type , 
						speed=input.speed , 
						action=input.action , 
						groupName=input.groupName, 
						group=input.group, 
						specifyName = input.specifyName ,
						coalition=input.coalition , 
						spawncountry=input.country , 
						spawnOnRoad = input.spawnOnRoad ,
						unitCount=input.unitCount , groupCount=input.groupCount , unitDistance=input.unitDistance, groupDistance=input.groupDistance }
						
	if input.task ~= nil then myGround.tasks = input.task end 
	if input.coldAtStart ~= nil then myGround.coldAtStart = input.coldAtStart end 
	if input.lateActivation ~= nil then myGround.lateActivation = input.lateActivation end 
	if input.waypoints ~= nil then 
		myGround.waypoints = input.waypoints
		myGround.moveToPosition = nil
	end
	
	local mySpawnReturn = mySpawn ( myGround ) 
	
	-- if input.task ~= nil then 
		-- deReference ( mySpawnReturn[1].tasks )
	-- end 
		
	return mySpawnReturn 
end 

function doArtilleryCheck ( input )
	
	local input = {}
	input.coalition = 1 
	
	
	local myGroups = coalition.getGroups(input.coalition , Group.Category.GROUND )
	
	local myCategory = {[1] = Object.Category.UNIT ,  }
	local myTargetTable = {}
	local myArtilleryCount = 0
	
	--gMissionOptions.AxisSupplyLocation  = centerZoneCoordinates("AmmoDump_01")
	
	local mySupplyPos = gMissionOptions.AxisSupplyLocation
	
	-- ANY SUPPLY TRUCKS IN TRANSIT
	if gMissionOptions.reloads ~= nil then 
		for reloadsName , reloadsValue in pairs ( gMissionOptions.reloads ) do
			local myGroupName = gMissionOptions.SupplyName .. reloadsName
			local myUnit = Group.getUnit ( Group.getByName( myGroupName ), 1)
			if myUnit ~= nil then 
				local myUnitName = Unit.getName ( myUnit ) 
				local mySpeed = doGetVelocityMeters (myUnitName)
				--if Debugging == true then printDebug ("EventHandler" ,"Supply truck group " .. myGroupName .. " ".. mySpeed , 1.1 ) end
				if mySpeed == 0 then
					local myFoundObjects = sweepArea ({unit=myUnitName, radius=50, attributes={[1]="Artillery",}, category={[1]=Object.Category.UNIT,} , allSides=true, } )
					
					--if Debugging == true then printDebug ("EventHandler" ,"Supply truck " .. myUnitName .. " stopped " .. #myFoundObjects , 1.1 ) end
					
					if #myFoundObjects == 0 then 
						if Debugging == true then printDebug ("EventHandler" ,"Supply truck " .. myUnitName .. " stopped. With no Artillery closeby ", 11 ) end
						gMissionOptions.reloads[myGroupName] = nil 
					end 
				end
			end 
		end
	end 
	
	
	-- FIND ALL THE RED GROUPS AND LOAD THEIR TARGETS INTO TABLE
	for key , value in ipairs ( myGroups ) do 
		local myUnit = value:getUnit(1)
		local myUnitType = Unit.getTypeName(myUnit)
		local myUnitName = Unit.getName(myUnit)
		local myUnitPosition = myUnit:getPoint()

		local myGroupName = Group.getName(value)
		local myCountryID = myUnit:getCountry()
		local myCoalition = myUnit:getCoalition() 

		if myUnitType == gMissionOptions.axisArtillery.type  then
			SendOptionToGroup (  myGroupName , AI.Option.Ground.id.ROE, AI.Option.Ground.val.ROE.WEAPON_HOLD )
			local myAmmo = Unit.getAmmo(myUnit)
			--local reloadNearby = false 
			-- if #myAmmo == nil and gMissionOptions.reloads[myUnitName] == nil then
			--if Debugging == true then printDebug ("EventHandler" , myUnitName .. " ammo count " .. myAmmo[1].count , 10 ) end
			-- THEY DON'T HAVE ANY AMMO AND THE RELOAD HASN'T BEEN ORDERED
			if myAmmo == nil and gMissionOptions.reloads[myUnitName] == nil then
			
				
				--local mySupplyPos = centerZoneCoordinates("AmmoDump_01")
				
				local myUnitCloseRoad = myUnit:getPoint()
				myUnitCloseRoad.x, myUnitCloseRoad.z = land.getClosestPointOnRoads('roads' , myUnitCloseRoad.x, myUnitCloseRoad.z ) -- FIND A CLOSE ROAD TO ENDPOINT
				
				local myHeading = doGetUnitHeading ({name=myUnitName}) 
				myUnitPosition = getPointOnRadian ( { diameter=50 , pos=myUnitPosition , angle = myHeading.angle+math.pi })
				
				local myWaypoints = {}
				myWaypoints[#myWaypoints+1] = { action = "On Road" , pos=myUnitCloseRoad , alt=0, altType="BARO" , speed = gMissionOptions.axisSupply.speed, }
				myWaypoints[#myWaypoints+1] = { action = "Off Road" , pos=myUnitPosition , alt=0, altType="BARO" , speed = gMissionOptions.axisSupply.speed, }
				
				if gMissionOptions.persistenceVariables.ammoDumpSeized == false then 
					local mySpawn ={ action="On Road", specifyName=gMissionOptions.SupplyName..myUnitName , group=gMissionOptions.SupplyName ..myUnitName, unitCount=1 , unitDistance=0 , country=myCountryID, position=mySupplyPos, waypoints=myWaypoints,  type=gMissionOptions.axisSupply.type ,speed=gMissionOptions.axisSupply.speed,  coaltion=myCoalition }
					positionGround ( mySpawn )
					gMissionOptions.reloads[myUnitName] = true 
					if Debugging == true then printDebug ("EventHandler" , myUnitName .. " is out of ammunition. Ordering Supplies." , 10 ) end
				else
					--if Debugging == true then printDebug ("EventHandler" , "The ammo dump has been Siezed. No more supplies are moving" , 10 ) end
				end 
			
			
			elseif myAmmo ~= nil then  -- THEY HAVE AMMO
				--- IS AN AMMO TRUCK SITTING NEARBY
				if gMissionOptions.reloads[myUnitName] ~= nil then 
					gMissionOptions.reloads[myUnitName] = nil
					--local myGroupName = gMissionOptions.SupplyName .. Group.getName ( Unit.getGroup( Unit.getByName ( myUnitName )))
					local myGroupName = gMissionOptions.SupplyName .. myUnitName

					
					if Group.getByName ( myGroupName ) ~= nil then 
						
						local myUnitCloseRoad = myUnit:getPoint()
						myUnitCloseRoad.x, myUnitCloseRoad.z = land.getClosestPointOnRoads('roads' , myUnitCloseRoad.x, myUnitCloseRoad.z ) -- FIND A CLOSE ROAD TO ENDPOINT
						
						local myFlightPath = {}
						myFlightPath = land.findPathOnRoads("roads", myUnitCloseRoad.x , myUnitCloseRoad.z , mySupplyPos.x, mySupplyPos.z )
						
						
						local myRoute = { }
						
						--myRoute[#myRoute+1] = { type = "Fly Over Point" , action = "Off Road" , pos=myUnitCloseRoad , alt=0  , altType="BARO" , speed=gMissionOptions.axisSupply.speed } 
						--myRoute[#myRoute+1] = { type = "Turning Point" , action = "On Road" , pos=mySupplyPos , alt=0  , altType="BARO" , speed=gMissionOptions.axisSupply.speed } 
						for i=1,#myFlightPath do
							local myRoutePoint = myFlightPath[#myRoute+1]
							myRoute[#myRoute+1] = { type = "Fly Over Point" , action = "On Road" , pos={x=myRoutePoint.x,z=myRoutePoint.y} , alt=0  , altType="BARO" , speed=gMissionOptions.axisSupply.speed }						
						end 
						table.insert (myRoute, 1, { type = "Fly Over Point" , action = "Off Road" , pos=myUnitCloseRoad , alt=0  , altType="BARO" , speed=gMissionOptions.axisSupply.speed }) 
						
						myInfo = { group = myGroupName, route=myRoute , push=true } 
						-- for index, data in pairs(Group.getByName(myGroupName):getUnits()) do
							-- local myUnitName = Unit.getName ( data )
							-- timer.scheduleFunction(ResetUnitController, myUnitName, timer.getTime() + 0.1 ) 
						-- end 
						timer.scheduleFunction(ResetGroupController, myGroupName, timer.getTime() + 0.1 ) 
						
						
						timer.scheduleFunction(doScheduleFlyRoute, myInfo, timer.getTime()+ 0.5 )
						
						--showSmoke ( {position=myUnitCloseRoad, color=trigger.smokeColor.Red })
						
						if Debugging == true then printDebug ("EventHandler" , #myFlightPath .. " Sending Supply Group " ..myGroupName .. " back to supply depot from " .. Unit.getName(myUnit), 11 ) end
					end 

				end 
				local myFoundObjects = SearchAreaForObjects ( {point=myUnitPosition , radius=gMissionOptions.difficulties.axis_artillery_range , category=myCategory ,  } )
				-- local myFoundUnits = sweepArea ({unit=myUnitName, radius=3000, attributes={[1]="Tanks"}, category=myCategory, enemy=true } )
				for targetKey , targetName in pairs ( myFoundObjects ) do
					local myFoundObject = Unit.getByName(targetName)
					if myFoundObject ~= nil then 
					--	if Debugging == true then printDebug ("EventHandler" , "Found Unit " ..targetName , 10 ) end
						if Object.hasAttribute(myFoundObject, "Tanks" ) and Unit.getCoalition(myFoundObject) == coalition.side.BLUE then
							if myTargetTable[myUnitName] == nil then 
								myTargetTable[myUnitName] = {} 
								myArtilleryCount = myArtilleryCount + 1
								--if Debugging == true then printDebug ("EventHandler" , myUnitName .. " found group " .. Group.getName(Unit.getGroup(myFoundObject))  .. " " .. #myTargetTable[myUnitName], 1.1 ) end
							end
							myTargetTable[myUnitName][#myTargetTable[myUnitName]+1] = targetName
							-- if Debugging == true then printDebug ("EventHandler" , myUnitName .. " found tank " .. Group.getName(Unit.getGroup(Unit.getByName(targetName)))   .. " " .. #myTargetTable[myUnitName], 1.1 ) end
						end
					end 
				end
				
			end
		end
	end 
	
	-- GIVE NEW FIRE ORDERS
	if myArtilleryCount > 0 and gMissionOptions.invasionTriggered ~= nil then
		local mySaidOnce = false 
		local myDifficultyCount = gMissionOptions.difficulties.axis_artillery_count
		if myArtilleryCount < myDifficultyCount then myDifficultyCount = myArtilleryCount end 
		
		local myTempTable = {}
		local myRangeTable = {}
		for targetKey , targetValue in pairs ( myTargetTable ) do
			myTempTable[#myTempTable+1] = {unit=targetKey , targets=targetValue }
		end
		
		local mySmokePoint = {}
		
		for i=1,myDifficultyCount do
			local myRandomChoice = math.random (1,#myTempTable )
			local myRandomUnit = myTempTable[myRandomChoice].unit
			
		
			for rangeKey , rangeValue in ipairs ( myTempTable[myRandomChoice].targets ) do
				local myDistance = getDistanceBetweenUnits (myRandomUnit,rangeValue)
				myRangeTable[myDistance] = rangeValue
				--if Debugging == true then printDebug ("EventHandler" ,  "Found " .. rangeValue .. " " .. myDistance , 1.1 ) end
			end
			
			local mySortedRightTable= {}
			for n in pairs(myRangeTable) do table.insert(mySortedRightTable, n) end
			table.sort(mySortedRightTable)
			
			local myRandomTarget = math.random (1,#mySortedRightTable )
			
			local myTargetUnitName = myRangeTable[mySortedRightTable[myRandomTarget]]
			local myTargetUnit = Unit.getByName(myTargetUnitName)
			
			-- local myAttackingGroup = Group.getName(Unit.getGroup(Unit.getByName(myRandomUnit) ))
			-- local myTargetGroup = Group.getName(Unit.getGroup(Unit.getByName(myRangeTable[mySortedRightTable[1]] ) ))
			-- local myTargetPosition = centerUnitCoordinates(myRangeTable[mySortedRightTable[1]])
			local myAttackingGroup = Group.getName(Unit.getGroup(Unit.getByName(myRandomUnit) ))
			local myTargetGroup = Group.getName( Unit.getGroup(myTargetUnit ))
			local myTargetPosition = centerUnitCoordinates(myTargetUnitName)
			local myAttackingPosition = centerUnitCoordinates(myRandomUnit)
			local myTargetHeading = doGetUnitHeading ( { unit=myTargetUnitName } ) 
			
			local myTargetImpactPoint = getPointOnRadian ( { radius=gMissionOptions.difficulties.allied_tank_lead_distance , pos=myTargetPosition , angle = myTargetHeading.angle })
			mySmokePoint = myTargetImpactPoint

			SendOptionToGroup (  myAttackingGroup , AI.Option.Ground.id.ROE, AI.Option.Ground.val.ROE.OPEN_FIRE )
			-- doAttackGroup ( myAttackingGroup , { group=myTargetGroup}  )
			local myTask = {
				--["number"] = 1,
				["auto"] = false,
				["id"] = "FireAtPoint",
				["enabled"] = true,
				["params"] = 
				{
					["y"] = myTargetPosition.z,
					["expendQty"] = 1,
					["expendQtyEnabled"] = false,
					["x"] = myTargetPosition.x,
					["templateId"] = "",
					--["weaponType"] = 52613349374 , --MORTAR 1073741822, PAK 52613349374
					["zoneRadius"] = gMissionOptions.difficulties.axis_artillery_precision ,
				}, -- end of ["params"]
			}  -- end of task
			

			-- CHECK IF ARTILLERY'S FRIENDLIES ARE CLOSE PROMIMITY
			local myFoundObjects = sweepArea ({unit=myTargetUnitName, position=myTargetImpactPoint, radius=gMissionOptions.difficulties.axis_artillery_precision+50, attributes={[1]="All",}, category={[1]=Object.Category.UNIT,} , enemy=true , returnAll=true } )
			
			if #myFoundObjects < 1 then 
				timer.scheduleFunction(ResetGroupController, myAttackingGroup, timer.getTime()+ 1 )
				timer.scheduleFunction(ScheduleSendControlToGroup, { group=myAttackingGroup,task=myTask,push=true }, timer.getTime()+ 1.5 )
				if gMissionOptions.invasionTriggered ~= nil and mySaidOnce == false then 
					local myChoppedText = myTargetGroup:sub(1, -2)
					local myBearing = getBearingTwoPoints(myTargetPosition , myAttackingPosition )
					--if Debugging == true then printDebug ("EventHandler" ,  "Group " .. myAttackingGroup .. " is opening fire on " .. myChoppedText .. " range " .. gMissionOptions.difficulties.axis_artillery_range  , 10 ) end
					timer.scheduleFunction(sayInMission, { what={[1]="mission_incoming_artillery" ,  } ,  prepend=myChoppedText, bearing=myBearing, coalition=coalition.side.BLUE, duration=20 } , timer.getTime() + 2 )
					mySaidOnce = true 
				end 
			else
				if Debugging == true then printDebug ("EventHandler" , myAttackingGroup .. " has spotted friendlies in range of " .. myTargetGroup .. " is holding fire" , 11 ) end
			end 
			
			table.remove( myTempTable , myRandomChoice ) --TAKE THIS ARTILLERY OUT OF THE RANDOM TABLE
			
		end 
		--showSmoke( {position=mySmokePoint , color=trigger.smokeColor.White }) 
	end	
	

	
end 

function doDifficulty ( )
	local myDifficultyRate = gMissionOptions.difficulty - 1 -- set the easist to zero
	local myAlliedTankSpeed = Targets.SOLDIERWWIIUS.speed + myDifficultyRate
	local myAxisArtilleryRange = 4000 + ( myDifficultyRate * 600 )
	local myAxisArtilleryPrecision = 700 - ( myDifficultyRate * 100 )
	local myAxisArtilleryCount = gMissionOptions.difficulty
	local myAxisArtillerySpotterRate = 100 - ( (gMissionOptions.difficulty - 1) * 12 )
	local myAllieTankLeadDistance = (myAlliedTankSpeed/KNOTS)  * 20  -- HARD CODED NUMBER BEING AVERAGE FLIGHT TIME OF SHELLS
	local myAxisFSBArtilleryCount = gMissionOptions.difficulty
	local myAxisFSBAAACount = gMissionOptions.difficulty
	local myAxisAAACount = 2 
	local myAxisTankCount = gMissionOptions.difficulty
	
	if gMissionOptions.difficulty >= 3 then myAxisAAACount = 4 end 

	gMissionOptions.difficulties = { 
		allied_tank_speed=myAlliedTankSpeed ,
		allied_tank_lead_distance = myAllieTankLeadDistance ,
		axis_artillery_range=myAxisArtilleryRange ,
		axis_artillery_precision = myAxisArtilleryPrecision ,
		axis_artillery_count = myAxisArtilleryCount ,
		axis_artillery_spot_rate = myAxisArtillerySpotterRate ,
		axis_FSB_artillery_count = myAxisFSBArtilleryCount ,
		axis_FSB_AAA_count = myAxisFSBAAACount ,
		axis_AAA_count = myAxisAAACount ,
		axis_tank_count = myAxisTankCount ,
		
	}
	--gMissionOptions.preferences[1].difficulty
	
end
--if Debugging == true then printDebug ("EventHandler" , gMissionOptions.difficulties.allied_tank_speed/KNOTS  * 40 , 2 ) end

function aircraftOverZone ( input )
	local myTriggerZone = { x=gMissionOptions.zones["WhiteOne"][1].x , z=gMissionOptions.zones["WhiteOne"][1].z , }
	--local myFoundObjects = sweepArea ({position=myTriggerZone, radius=2000, attributes={[1]="Aircraft",}, category={[1]=Object.Category.UNIT,} , allSides=true, } )
	local myFoundObjects = SearchAreaForObjects ( {point=myTriggerZone , radius=5000, category=Object.Category.UNIT ,  } )

	for key , value in pairs ( myFoundObjects ) do 
		local myUnit = Unit.getByName ( value )
		if Unit.hasAttribute(myUnit , "Planes" ) then
			local myGroup = myUnit:getGroup ()
			local myGroupName = myGroup:getName ()
			--local myPlayers = validPlayerGroups (  )
			-- if Debugging == true then printDebug ("EventHandler" , "Checking Attribute" , 1.1 ) end
			if gPlayerGroups[myGroupName] ~= nil and Unit.inAir( myUnit ) then 
				-- if Debugging == true then printDebug ("EventHandler" , "Found in Target Area "  .. myGroupName , 1.1 ) end
				-- if Debugging == true then printDebug ("EventHandler" , "Checking" , 1.1 ) end
				for groupKey , groupValue in pairs(gMissionOptions.invasionForce) do
					if Group.getByName ( groupValue ) ~= nil then 
						trigger.action.activateGroup(Group.getByName ( groupValue ))
						if Debugging == true then printDebug ("EventHandler" , "Activate"  .. groupValue , 1.1 ) end
					end
				end 
				gMissionOptions.invasionTriggered = true
				gMissionOptions.persistenceVariables.invasionStarted = true
			end 
		end 

	end 
	
end 

function playerAirborne ( input )
	--local myTriggerZone = { x=gMissionOptions.zones["WhiteOne"][1].x , z=gMissionOptions.zones["WhiteOne"][1].z , }
	--local myFoundObjects = sweepArea ({position=myTriggerZone, radius=2000, attributes={[1]="Aircraft",}, category={[1]=Object.Category.UNIT,} , allSides=true, } )
	--local myFoundObjects = SearchAreaForObjects ( {point=myTriggerZone , radius=5000, category=Object.Category.UNIT ,  } )

	for key , value in pairs ( gPlayerUnits ) do 
		local myUnit = Unit.getByName ( key )
		if Unit.hasAttribute(myUnit , "Planes" ) then
			if Unit.inAir( myUnit ) then 
			
				local myGroupsAlive = {}
				if gMissionOptions.persistence ~= nil then
					local file,err = io.open( gMissionOptions.persistence, "r" ) --edited
					local myUnitArray = {}
					local myUnitsAlive = {}
					
					for line in file:lines() do
						myUnitArray[#myUnitArray+1] = {}
						local myTable = line:doDelimiterSplit(", ")
						for i = 1, #myTable do
							--print( myTable[i] ) -- This will give your needed output
							local myVariable = myTable[i]:doDelimiterSplit("=")
							myUnitArray[#myUnitArray][myVariable[1]] = myVariable[2]	
						end
						
						if myUnitArray[#myUnitArray].unit ~= nil then 
							myUnitsAlive[myUnitArray[#myUnitArray].unit] = myUnitArray[#myUnitArray]
						end 

						if gMissionOptions.invasionForce[myUnitArray[#myUnitArray].group] ~= nil then 
							if myUnitArray[#myUnitArray].status == "alive" then 
								if myGroupsAlive[myUnitArray[#myUnitArray].group] == nil then 
									myGroupsAlive[myUnitArray[#myUnitArray].group] = {}
									myGroupsAlive[myUnitArray[#myUnitArray].group].group = myUnitsAlive[myUnitArray[#myUnitArray].unit].group
									myGroupsAlive[myUnitArray[#myUnitArray].group].type = myUnitsAlive[myUnitArray[#myUnitArray].unit].type
									myGroupsAlive[myUnitArray[#myUnitArray].group].position = {x=myUnitsAlive[myUnitArray[#myUnitArray].unit].x , y=myUnitsAlive[myUnitArray[#myUnitArray].unit].y, z=myUnitsAlive[myUnitArray[#myUnitArray].unit].z}
									myGroupsAlive[myUnitArray[#myUnitArray].group].count = 1
								else
									myGroupsAlive[myUnitArray[#myUnitArray].group].count = myGroupsAlive[myUnitArray[#myUnitArray].group].count + 1
								end 
								
								--if Debugging == true then printDebug ("EventHandler" , "Alive "  .. myUnit .. " " .. myGroup .. " " .. myType  , 1.1 ) end
							end 
						end 
					end 
					file:close ()
				else
					for key , value in pairs ( gMissionOptions.invasionForce ) do
						myGroupsAlive[value] = {}
						myGroupsAlive[value].group = value
						myGroupsAlive[value].count = gMissionOptions.persistenceMove[value].unitCount
						myGroupsAlive[value].position = gMissionOptions.persistenceMove[value].position
						myGroupsAlive[value].type = gMissionOptions.persistenceMove[value].type
					end 
				end
				
				for key , value in pairs ( myGroupsAlive ) do
					local myWaypoints = {}
					if gMissionOptions.persistenceMove[value.group] ~= nil then
						myWaypoints = gMissionOptions.persistenceMove[value.group].waypoints
						local mySpeed = gMissionOptions.persistenceMove[value.group].speed
					end 
					positionGround ( { action="On Road", specifyName=value.group , unitCount=value.count, spawnOnRoad=true, group=value.group , country=80, position=value.position, waypoints=myWaypoints, type=value.type ,speed=mySpeed, coaltion=2 } )
				end 
	
	

	
	-- for key , value in pairs ( gPlayerUnits ) do 
		-- local myUnit = Unit.getByName ( key )
		-- if Unit.hasAttribute(myUnit , "Planes" ) then
			-- if Unit.inAir( myUnit ) then 
				-- for groupKey , groupValue in pairs(gMissionOptions.invasionForce) do
					-- if Group.getByName ( groupValue ) ~= nil then 
						-- local myGroup = Group.getByName ( groupValue )
						-- --timer.scheduleFunction(trigger.action.activateGroup, myGroup , timer.getTime() + 1 ) -- ALWAYS DELAY NEEDS TO RUN AFTER PERSISTENCE CHECK
						-- if Debugging == true then printDebug ("EventHandler" , "Activate"  .. groupValue , 1.1 ) end
					-- end
				-- end 
				
				timer.scheduleFunction(doArtilleryCheck, input , timer.getTime() + 10 ) -- DELAY THE CHECK SO IT DOESNT COME RIGHT AFTER
				gMissionOptions.invasionTriggered = true
				if gMissionOptions.persistenceVariables.invasionStarted == false then 
					gMissionOptions.persistenceVariables.invasionStarted = true
					timer.scheduleFunction(sayInMission, { what={[1]="mission_landings_begun" ,  } , duration=20 } , timer.getTime() + 2 )
				else
					timer.scheduleFunction(sayInMission, { what={[1]="mission_landings_continue" ,  } , duration=20 } , timer.getTime() + 2 )
				end 
			end 
		end 

	end 
	
end

function setLateActivation ( input ) 

	local myGroupsHide = {}

	for unitKey , unitValue in pairs ( gVisibleAIUnits ) do 
		local myUnit = Unit.getByName ( unitKey )
		if myUnit ~= nil then
			local myGroupName = Group.getName(Unit.getGroup(myUnit))
			if gMissionOptions.invasionForce[myGroupName] ~= nil then 
				myGroupsHide[myGroupName] = myGroupName
			end 
		end
	end
	
	for groupKey , groupValue in pairs ( myGroupsHide ) do 
		local myGroup = Group.getByName ( groupValue )
		if myGroup ~= nil then 
			--if Debugging == true then printDebug ("EventHandler" , "Hide "  .. groupValue , 1.1 ) end
			trigger.action.deactivateGroup(myGroup )
		end 
	end 
	
end 

function airFieldSized ( input )
	-- SEE IF THE SUPPLY DEPOT HAS BEEN OVERRUN
	local myCategory = {[1] = Object.Category.UNIT ,  }
	local myAirfield= { x=gMissionOptions.zones["Airfield"][1].x , z=gMissionOptions.zones["Airfield"][1].z , }
	local myFoundObjects = SearchAreaForObjects ( {point=myAirfield , radius=50 , category=myCategory ,  } )
	for airfieldKey , airfieldValue in pairs ( myFoundObjects ) do
		local myFoundObject = Unit.getByName(airfieldValue)
		if myFoundObject ~= nil then 
			local myCoalition = Unit.getCoalition(myFoundObject) 
			if Object.hasAttribute(myFoundObject, "Tanks" ) then
				if Debugging == true then printDebug ("EventHandler" , "Airfield has been siezed" , 10 ) end
				gMissionOptions.persistenceVariables.airfieldSeized = true
				local mySpawn =  { action="On Road", specifyName="Airfield" , unitCount=1, spawnOnRoad=true, group="Airfield", country=country.id[gMissionOptions.blueCountries[1]], position=myAirfield, moveToPosition=myAirfield, type=gMissionOptions.alliedTank.type ,speed=0, coaltion=coalition.side.BLUE} 
				positionGround ( mySpawn)
			end 
		end 
	end 
end 

function ammoDumpOverrun ( input )
	-- SEE IF THE SUPPLY DEPOT HAS BEEN OVERRUN
	-- if Debugging == true then printDebug ("EventHandler" , "Check ammo dump " , 1.1 ) end
	local myCategory = {[1] = Object.Category.UNIT ,  }
	local ammoDump= { x=gMissionOptions.zones["AmmoDump"][1].x , z=gMissionOptions.zones["AmmoDump"][1].z , }
	local myFoundObjects = SearchAreaForObjects ( {point=ammoDump , radius=100 , category=myCategory ,  } )
	-- if Debugging == true then printDebug ("EventHandler" , "Count " .. #myFoundObjects , 1.1 ) end
	for nearAmmoDumpKey , nearAmmoDumpValue in pairs ( myFoundObjects ) do
		local myFoundObject = Unit.getByName(nearAmmoDumpValue)
		if myFoundObject ~= nil then 
			local myCoalition = Unit.getCoalition(myFoundObject) 
			if Object.hasAttribute(myFoundObject, "Tanks" ) then
				if Debugging == true then printDebug ("EventHandler" , "Ammo Dump has been overrun" , 10 ) end
				gMissionOptions.persistenceVariables.ammoDumpSeized = true
			end 
		end 
	end 
end




-- THE LAST THING YOU WANT TO DO
if gMissionOptions.started == nil then 
	missionStartEvent ( )
	--preLoadTargets ( input )
	-- local myBluePlayers = coalition.getPlayers(coalition.side.BLUE )
	-- local myRedPlayers = coalition.getPlayers(coalition.side.RED )
	-- if #myBluePlayers > 0 or #myRedPlayers > 0 then
		-- local myPlayerUnit = world.getPlayer( )
		-- insertPlayerIntoMission ( {unit=Unit.getName(myPlayerUnit )} )
	-- end 
	doDifficulty ( )
	--getAllZones ( { prefix={ "AAA" , "Battery" , "White" } , delimiter="_"  } ) 
	

	--getAllZones ( { prefix={ "FSB" , "AAA" , "WhiteOne" , "WhiteTwo" , "Objective" , "Airfield" , "AmmoDump" , "LandingCraft", } , delimiter="_"  } ) 
	getAllZones ( { prefix={ "FSB" , "AAA" , } , delimiter="_"  , output=true } )	
	--getAllZones ( { prefix={ "FSB" , } , delimiter="_"  } )	

	dynamicSpawns ( {from="start"} )
	if gMissionOptions.usePersistance ~= nil and gPersistenceOff == nil then
		if gMissionOptions.usePersistance == true then 
			timer.scheduleFunction(checkPersistence, {path=gMissionOptions.persistencePath, file=gMissionOptions.persistenceFile } , timer.getTime() + .5 ) -- ALWAYS DELAY THE CHECK
			timer.scheduleFunction(setLateActivation, {}, timer.getTime() + .6 ) -- ALWAYS DELAY THE CHECK
		end
		--removeDestroyed ( input )
	end
	-- for groupKey , groupValue in pairs(gMissionOptions.invasionForce) do
		-- if Group.getByName ( groupValue ) ~= nil then 
			-- trigger.action.deactivateGroup(Group.getByName ( groupValue ))
			-- if Debugging == true then printDebug ("EventHandler" , "DeActivate"  .. groupValue , 1.1 ) end
		-- end
	-- end 
end 

-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - choice = LoadEnemyPositions
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - type = TF-51D
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - coalition = 2
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - group = Aerial-3
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - spawncountry = 80
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - heading Table
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -   angle = 0.87972382781423
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -   bearing = 50.404462470849
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -   reverseangle = 4.021316481404
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -    end
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - unit = Aerial-3-1
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - friendlycoa = 2
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - enemycoa = 1
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - spawnPosition Table
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -   y = 166.62087893982
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -   x = 10898.581627561
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -   z = 14468.846735465
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning -    end
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - enemycountry = CJTF_RED
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - enemycountryid = 81
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - friendlycountryid = 80
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - friendlycountry = CJTF_BLUE
-- 2022-09-28 05:17:20.990 INFO    SCRIPTING: Spawning - language = English